2011-05-03  Petr Mladek  <pmladek@suse.cz>  [a5cde20ee30bfeb4f66923fa535c5a6bbf8c5d0e]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [f9a4c99b8c826d0d218eb15aae296ef5560ed041]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-19  Petr Mladek  <pmladek@suse.cz>  [c8807d2ea06ac40ced3f0bf8d9125225db004adc]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [a39e85707fabf3ae3cbababe870754be62a2b938]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-06  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [22cd1c5d1685cf50642eb93470c78d3e0ea56761]

Change accel key for Clear Direct Formatting back to D


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [943bd854aae3d9400c9071d41b84a952222ffcdc]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [021e22f9a5f16eb465f94bc98ca9992019fa9345]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-03-31  Bernhard Rosenkraenzer  <bero@arklinux.org>  [18cf39a89a93b2ac0fa7d39ac4589a089da0f901]

avoid gcj compilation error

set encoding="utf-8" fork="true" to avoid known gcj error

2011-03-30  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [01b86789db30a88b6289c7a9ddaab1f0d0282b3e]

using --headless, now that it works


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [eb4cad3c8f237e09db7589e875173b2dcfa81791]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [6fd56428916e59dc9995917e70262f7cb78197d9]

drop bogus executable flag from image files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [4e6fd13150e743a8364d5241d56b367ceaef168e]

drop bogus executable flag from odf files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [d409c8d3ca1caeba2a694e98b935b7947adfd77d]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Norbert Thiebaud  <nthiebaud@gmail.com>  [3b645ce8378e592d2ab59650843f204785d9e552]

use --xxx instead of -xxx for command line options


2011-03-29  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [b4583275a16df263462447ea5be6b90d561d7746]

enable headless Junit tests


2011-03-29  Caolán McNamara  <caolanm@redhat.com>  [6db27429026afaaf8141cb59c84b839682484906]

Related: rhbz#684580 add testdoc for 'X' and '/' strike-through


2011-03-28  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [139d9f0b80c1123edff22282939a7adc2087945b]

migrate qadevOOo subsequenttests to gbuild


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [7e5431df55df79a403046cf056d610861eab1fcd]

revert accidentally commited changes


2011-03-27  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [309e984639fc416db60926c3e05d282544ccbbf2]

cleanup of unoapi test


2011-03-26  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [aaa1707afe361babd7abdd0b08c59f599e2259d3]

fd#35693: disable hangin subsequenttests (complex and unoapi tests)

 - chart2/qa/unoapi
 - configmgr/qa/unoapi
 - dbaccess/qa/unoapi
 - forms/qa/complex/forms
 - linguistic/qa/unoapi
 - qadevOOo/qa/unoapi
 - sd/qa/unoapi
 - starmath/qa/unoapi
 - ucb/qa/complex/ucb
 - ucb/qa/unoapi
 - unotools/qa/complex/tempfile

2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [f04da01a1007e9e48c40826f66131578dac947bc]

adjusting OfficeConnection for junit tests to new parameters


2011-03-24  Caolán McNamara  <caolanm@redhat.com>  [528d1effaee79ea3e03ba1553a59b6a5cf360168]

fix smoketest post-merge


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [8d2d57012c83f3a42a905b582fcb0eeca6365c67]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	smoketestdoc/com/sun/star/comp/smoketest/makefile.mk
	smoketestdoc/data/Global.xml
	smoketestdoc/data/OptionsDlg.xml
	smoketestdoc/data/Test_10er.xml
	smoketestoo_native/data/content.xml
	smoketestoo_native/makefile.mk

2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [c5cf3aaab577bf1dfdd6f6e81148497307abac9a]

make smoketest work again


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [52e7e6d29e8f8dab9a59421c8440de3d6e8fe7b8]

get .sdw suffixes etc back


2011-03-21  Caolán McNamara  <caolanm@redhat.com>  [fe71cb25ce7be12055260e49edf1a8ba64538b37]

fix smoketest options dialog post-merge


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [ec36a79cba715cf500e77e3023f2c6b40b9edf12]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [dc17789af3028be045505e2d6edb830a8a134e14]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	testtools/prj/build.lst

2011-03-16  obo  <obo@openoffice.org>  [9ffef9aeb36763304689c1aa02bce8f913c94b1c]

masterfix DEV300: #i10000# fix build.lst, remove obsolete makefile.mk


2011-03-16  obo  <obo@openoffice.org>  [9206720c6b835745d6940d182c50a41654bf0b9b]

masterfix DEV300: #i10000# fix damaged build.lst


2011-03-16  Miklos Vajna  <vmiklos@frugalware.org>  [9ad4e4e46b212ef3d5d80164351f0112cca7f5f5]

Introduce a single .gitattributes file in bootstrap


2011-03-16  obo  <obo@openoffice.org>  [fe7839474d528f51726ebe841621baedbdabd9fb]

CWS-TOOLING: integrate CWS chart51


2011-03-16  obo  <obo@openoffice.org>  [6f2d0a0eeda6f6082d38287c6405e65ff8034a00]

CWS-TOOLING: integrate CWS debuglevels


2011-03-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c4451ce8134734e970212a5d8942dcdba29a59c6]

debuglevels: pulled and merged DEV300.m102


2011-03-13  Hanno Meyer-Thurow  <h.mth@web.de>  [b5f38fd7f51c317d767996535c3e34e0301c10ec]

Merge Gentoo patches from old build and downstream repositories.

1. Do not add compiler default include and library path: potentially build
   against different version of system library than requested by the user.
2. Add a configure option to disable Python2 (PyUNO) bindings. Python3 is
   available for more than two years. Noone cares, therefore rest in peace.
   Python2 is going to be ditched at some point. Simply do not fail then.
   Windows builds need to be updated for BUILD_TYPE: "PYUNO". Or how is it
   handled nowadays?
3. Fix sandbox violation in officecfg module: rm /bin/<language>.zip
4. Add a configure option to search only in one place for JVMs, which is quite
   interesting for Linux Distributions. Enforce the user to place JVMs in one
   base directory.
5. Fix build for libxml-2.7.8 with ICU support.

* config_office-XINC-XLIB-defaults.diff: (1)
* disable-python.diff: (2)
* gentoo-sandbox.diff: (3)
* jvm-search-path.diff: (4)
* libxmlsec_fix_extern_c.diff: (5)

2011-03-11  Michael Meeks  <michael.meeks@novell.com>  [b9e3d95ced6699ce683c13821db17f231a7992ad]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

Conflicts:
	smoketestoo_native/data/Global.xml
	smoketestoo_native/data/OptionsDlg.xml
	smoketestoo_native/data/Test_10er.xml
	smoketestoo_native/data/content.xml
	smoketestoo_native/smoketest.cxx
	test/source/cpp/getargument.cxx
	test/source/cpp/officeconnection.cxx
	testautomation/framework/optional/includes/basic_vba-compat_security_check.inc
	testautomation/framework/optional/includes/filedlg_cjk_folders.inc
	testautomation/global/sid/all.sid
	testautomation/global/sid/bars.sid
	testautomation/global/sid/e_all.sid
	testautomation/global/win/bars.win
	testautomation/graphics/optional/includes/impress/i_slideshow2.inc
	testautomation/graphics/optional/includes/impress/i_slideshow3.inc
	testtools/source/bridgetest/bridgetest.cxx
	testtools/source/bridgetest/constructors.cxx
	testtools/source/bridgetest/makefile.mk
	testtools/source/bridgetest/testComponent.component

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [7e713e1625fc89a86d40a556e03214b3846732bd]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-07  Ivo Hinkelmann  <ihi@openoffice.org>  [e360db55a779747595b15cf4b2d3b74f251f0643]

CWS-TOOLING: integrate CWS jl165


2011-03-03  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [d6d0e75b736005d47ae1b38a56b6e03810be6145]

cws chart51: #i117182# add wait


2011-03-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1cb6489a3a9cdd949eb11979c5841e9d76b5729f]

debuglevels: open the smoketest doc read-only


2011-03-02  Julien Nabet  <serval2412@yahoo.fr>  [f9b660ee2cf617ad63483f73af4a522b437b9d94]

Remove "using namespace ::rtl"


2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [411d6ce2669f230d4b1b2a0ac9f4791549d5ce2c]

CWS-TOOLING: integrate CWS automationdev300m100


2011-03-02  Ivo Hinkelmann  <ihi@openoffice.org>  [64fdea69c2b392b243dbac96df76de02e0b9030e]

CWS-TOOLING: integrate CWS mhu21


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [ef8e3e0a135f1174fdc2bbdc6ac2e67feb6bbe3e]

add explicit stream operator


2011-03-01  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [7901eecefdc56d0ed2edcba208c5d027438c4914]

Bug 116803 -  [Automation]:crash when closing stylist.


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [b2bec9b47d56010e78d706bd96aa5f88679c26b5]

CWS-TOOLING: integrate CWS automationdev300m99


2011-02-28  Joachim Lingner  <jl@openoffice.org>  [ef515658796870c2039486f98d28cf9172891e3f]

jl165 merging heads


2011-02-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d84ecc9e18d1158cc58ede6211731fde9accba69]

debuglevels: GCC WaE / replace cppunit's DynamicLibraryManager (which does not seem to be public API) with osl_loadModule


2011-02-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d8012f0d50bba64704f796cf9028a3cdad0ea3b2]

debuglevels: yet another module dependency fix :-\


2011-02-25  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [ad6f6acf9bd5441294b55ba9a3930a8ae4e0f61e]

 Bug 117075 -  [Automation]: inserting sleeps in i_us2_present.inc


2011-02-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [82cf6648478c2c2e7c6dd04f4f061797cfe32111]

debuglevels: fixed module dependencies


2011-02-25  sb  <sb@openoffice.org>  [a56ef85dcf7a790eceaa091f8e6654faa288af71]

debuglevels: #i117073# added cppunittester --protector support; added unoexceptionprotector and use it in installationtest.mk; reverted changes to smoketest.cxx obsoleted by these additions


2011-02-24  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [aff7c3f38e612c2653c649c9d0f66dcd066541f0]

chart51: merge with DEV300_m101


2011-02-24  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [6e17ebbb26bb34e520bc0319f212aaab85c93bad]

automationdev300m100: merge with DEV300m101


2011-02-24  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [51f858c2249f8450ea6ef25b7e05bc6e1569f385]

Deleting double entry.


2011-02-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [095d95c71e0b3a9251bfd5143cc2f4a9e5e94e73]

debuglevels: fixed file permissions


2011-02-24  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [03a614549e783b2ed3af999c7dca13dffe7ef4e4]

debuglevels: reintroduced lost row headers in first status table


2011-02-23  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [f2899f8528ccfae003ec8a992ef7ff5ea3e5fc5e]

Update from master repository (DEV300_m100).


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c036f5815723991ab3c9d7b7d738150a4e2e21ef]

debuglevels: merged latest CWS fixes done in another repo


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [aef87b39c105895906cf81001f1a774c5fd481c7]

debuglevels: fixed index access in StartTestWithDefaultOptions


2011-02-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [328e996374f8f9b87a5e170e289bac529c71e6e6]

debuglevels: merged to-be-m101


2011-02-22  Yifan J  <yfjiang@novell.com>  [4a87e74db169fb0c11794bf3f4f74ac9e92b52ac]

expand template files counts index in the array

If many language packs are installed, the
original 20 items array is not enough to contain the file list.

2011-02-21  Thorsten Bosbach  <tbo@OpenOffice.org>  [6dd8b0a2247fe044fa4c42903902f6215137ad72]

#i116972# fix gOleOthers for win32 only


2011-02-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [54c3e280ff5c5464406ff5cfb4c481a89aff3485]

debuglevels: let smoketestoo_native use a dedicated version of dbgsvrc/DBGSV_INIT, instead of using the default which the build env points to - it might direct assertion output to whereever ...


2011-02-18  Joachim Lingner  <jl@openoffice.org>  [1ef680d8d0521b1645caa96b3f96f0579046d293]

jl64 #i117009# increase versions of cli assemblies


2011-02-18  Release Engineering  <releng@openoffice.org>  [49e5cb3dd026bc9a164c7d0b606be86314dbe392]

merged DEV300


2011-02-18  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [fadba4a81ec340f179e336c8c810318419ad6deb]

#i116997# [ch2_lv1.bas] Timingproblem on Solaris


2011-02-18  Francois Tigeot  <ftigeot@wolfpond.org>  [45bd7ff227caa220bc2d63328c6b01a6879e163f]

Remove SCO support.


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [e5952c9125cbada60caec643484f47addc527010]

CWS-TOOLING: integrate CWS csvexport


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [af655c422b94def8b5ca759cb8a654fa241b7d01]

CWS-TOOLING: integrate CWS automationcheckissuesids


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [9d7ad1a1eea887862ef87ec87275e9af2598b09f]

CWS-TOOLING: integrate CWS mongolianlayout


2011-02-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [64a9ac08a56f943aa0219ed5a6b8f8cf6767c852]

debuglevels: explicit failure upon catching an UNO exception (which gives a slightly better idea of the failure than what cppunit emits by default)


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [78df4042e049ed96f12d6ac361ab0cfdbbb239ce]

Remove unused inc files


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [c137efc3c45a9ab3ecf97e5320ace42f0d353932]

CWS-TOOLING: integrate CWS spc01_DEV300


2011-02-15  Mathias Bauer  <mba@openoffice.org>  [8d13d8f507a1b1770be2cf49320375e9720c4b4b]

CWS mongolianlayout: resync to m100


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [9b6e3c748446f8b0aa0420244920e5331dc94508]

CWS-TOOLING: integrate CWS vcl118


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a1237618cf05874529567f103c6ec6eccf33991d]

chart51: merge with DEV300_m100


2011-02-15  Niklas Nebel  <nn@openoffice.org>  [25787591c69bab8a714bf4b41749c6678121cdb0]

csvexport: merge with DEV300_m100


2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [2d1eeca77736cdf4e3c2ecb20920c39408188509]

rebase to DEV300_m100


2011-02-14  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [006d566b40cc0ec71eaecf150ce2502943a7ba5f]

debuglevels: fixed various issues around the test closure's log file


2011-02-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [91989c2630a7d51200f09afef157384cd89df25f]

debuglevels: ensure the test closure log file is mentioned in the main log file as well


2011-02-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2e5165f2227844f0c3de5f2b90ce9f9705421970]

debuglevels: bin, not binPROEXT


2011-02-11  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [949d8859cf2b110df2d46036cbe76dc226d345bf]

Remove obsolete Hyperlink Bar from testing

Removed code related to hyperlink bar from sdk repo.

2011-02-11  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [68bc307d7479435cc99b4c5b29cdfa4d26c910fd]

debuglevels: outsourced creation of the smoketest doc into an own module, so it can be used outside smoketesoo_native, too


2011-02-11  hde  <hde@openoffice.org>  [cccf967afa2686e81663d0edc7637a32dfd48cba]

#i116921#cws automationdev300m99#removed fixed/closed issue ids from warnlogs


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c0de9978e5a5e0a4003f25467610dcff17bd6627]

Trying to remove the stlport mention from the code


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bdb1e23e6c3d55acc63056c17983f6cd99f1254f]

Removing the ext_std masterpiece


2011-02-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b7aa5d01c4addc7c07783cd5e8e631b0800acfae]

debuglevels: removed the dead code and UI for binary file formats - no tests existed for this


2011-02-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [2af133d36a416f0f2216f5dd6340e974d547434b]

debuglevels: make dialog somewhat more usable


2011-02-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9ff361878d17f29375daa9f45b0df7959a93224a]

debuglevels: also log errors during the test's glue code (well, assertions, at least)


2011-02-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c1b7f09ced9cf8dd4cf960c76053ec2e130bc077]

debuglevels: make the current test case a global variable, so the AssertionHandler can use it


2011-02-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1361ce3e4d6a73042999c2ec26969e5b1c2b8c70]

debuglevels: capture assertions during the test run, let the test fail in case we encounter an assertion. Still missing: Refactor the tests so that the currently running test case ("open doc", "save doc", etc.) is known in the assertion handler, so we can mark the proper test case as "failed". Currently, the "new doc" case is marked, which is wrong.


2011-02-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a2e921b77921a01508acde67495cab85ed757464]

debuglevels: some cleanup of the smoketest code, in preparation of #i116845#


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [92a56653af6fac73181b75187b227c3e5f3de203]

Merge remote branch 'origin/libreoffice-3-3'


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [605769ed6b4d3c1467a4ec199e36adad38e13db1]

Remove dead code


2011-02-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [145c147d48d15e12080e25ad5fec03b9fa85ebfc]

std::hash_map -> boost:unordered_map


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [dac6d5d37a75f21cafe9c4d9b58583a233e5cf15]

CWS gnumake3: resync to m99


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [a0700caf53477cb471572753e48fe7d0e0534a67]

chart52: merge with DEV300_m99


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [22d8518aa45eed161c2f889d6b2bbbc6d3242bcc]

Clean up makefiles


2011-02-02  Thorsten Bosbach  <tbo@openoffice.org>  [29ae6404c8edb19694a30fbf13d1c67ac352dc77]

Fix some changed constants


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [27f5e0b87edd202e6b1372f7b7b4bec5b9d10687]

Clean up makefiles


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [9b8cbcef6b80572926dc2b4ccd4b18f720de05d5]

Remove RCS lines


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [6e0a09116fea66b9e79e6571c8227331e9206874]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Vladimir Glazunov  <vg@openoffice.org>  [48d88baf5a337a67475cb1c5bf7f030829ccb043]

CWS-TOOLING: integrate CWS automationdev300m97


2011-01-31  Vladimir Glazunov  <vg@openoffice.org>  [e520a59dd5be4f8f04a872c7b59964a4c12a9841]

CWS-TOOLING: integrate CWS chart46


2011-01-31  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [6b94dd4876295c1d78b82e1d2e077c7d8b80abe0]

chart51: merge with DEV300_m97


2011-01-31  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [b7f1474f4b2b88f8e447992b94bd9fed6af3b1ef]

cws dba34b: fix for i116042


2011-01-31  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [85e6d3eea7da115fd8c714e4922ffddc976c55c3]

cws dba34b: fix for i116042


2011-01-31  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [39f95a09c2ee80f14534bd7573356601dbaf76a7]

cws dba34b: fix for i115468


2011-01-31  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [6af2a096254f0ebd232ee56e1902283cd762180c]

#i116721# Autotests for new option in csv export


2011-01-28  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [5651c25965213a2161579b6cecb373d374d330d1]

chart46: merge with dev300m98


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [02f58689ae7a7f98861cca2b1b311faf7c310469]

CWS-TOOLING: integrate CWS tabcontrol


2011-01-28  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [903b24f46216df8cae5d5849cf51f9969560b571]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/tabcontrol


2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [aafc1ebcb0cb39fbca39a3de723c3a5e20a85355]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ea18c5054be75ceec5fd77947475a710dde6d4de]

undoapi: pulled and merged DEV300.m98


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [684b15b385a1862c52606dfff8ce7eb104ad1c37]

Update from sibling repository.


2011-01-27  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [49d989ff4782f6450f56c614f6335f780bf099ce]

Update from master repository (DEV300_m98).


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [7f1e10a31ec0c8e014f2f133a9f344801bfffd2c]

CWS-TOOLING: integrate CWS os147


2011-01-27  Thorsten Bosbach  <tbo@openoffice.org>  [9bf90534d747aa58763506050623155bc4a8d039]

#i116658# update issue ids and remove obsolete ones


2011-01-27  Octavio Alvarez  <alvarezp@alvarezp.ods.org>  [7f8c9a318e16705842f684ef865c4b60a8a0938f]

"Default Formatting" -> "Clear Direct Formatting"


2011-01-26  Tor Lillqvist  <tlillqvist@novell.com>  [a43431f730ebb7a547899b18d8daca8cc78ec757]

Bypass this directory unless SOLAR_JAVA


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [96bae3c71b2c77a01be51b1e22640505d2727471]

CWS gnumake3: resync to m98


2011-01-25  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [27c46c64937a623dbc312d912d0acfcee4dcaa10]

i116533:[Automation]: replace ownership of autotests


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [31562da266c3b71127950f4b9d689dc00db596ce]

Add .gitattributes for proper handling of .doc and .sdw files.


2011-01-24  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [f1b724ee806b48eaf63927bb517b4a13f22cb9e0]

Update from master repository (DEV300_m98).


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [c4eb03a36f5b3519deb7f12ede55efb623408f59]

Include the wntmscx build directories


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [9a2beb5f90d024d1167c3acca9de5306818d0752]

add new files


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [603b9dba1ee4cc61edfe67ea03aa3ac58560ec51]

get smoketest working after save as old bin format removed


2011-01-24  os  <os@openoffice.org>  [4b31ba7c69f27171078f758010413567dc614c43]

merged, again


2011-01-24  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [1c38480ae1223b2034a238eedeb857840b1b592a]

#116394# remove files for removed exportfilter


2011-01-24  Helge Delfs [hde]  <hde@openoffice.org>  [cd8f960f4aa620e9873b05eb7f407b6d05cd91d1]

#i116533#file owner changed to framework testscripts


2011-01-24  Helge Delfs [hde]  <hde@openoffice.org>  [7399e62478b69393c76e10da67cb543ef056d366]

i116533#automationdev300m97#file owner changed


2011-01-24  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [7f1ae5ae2470e05825100b75d39818019dee3d64]

#i116581# missing waitslot in d_updt.bas


2011-01-24  hde  <hde@openoffice.org>  [d340914fe1a70a816652eae4299fe1fa2784a7f4]

#i116533#automationdev300m97#replace ownership from joerg.skottke@oracle.com to gregor.hartmann@oracle.com


2011-01-24  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [f18919c12faabd008dcf6640a714c4374bef3838]

#i115845# adapt autotest for chart data axis


2011-01-21  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [12b689687765199b117ce51246a5dd1f79edc2d6]

#i115845# adapt autotest for chart data axis


2011-01-20  Thorsten Bosbach  <tbo@openoffice.org>  [25450529a1bcc5f26a82d30f3527f25c76496ba7]

#i113362# enhance gridcontrol test for tabpages


2011-01-20  hde  <hde@openoffice.org>  [af11ff0bf8963fbb6b2725512621668579931d2a]

#i116510#automationdev300m97#added sleep


2011-01-20  hde  <hde@openoffice.org>  [cc2c282fb926991c5a6631f71f86909c130380cc]

#i116387#automationdev300m97#Issue ID updated


2011-01-20  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [e1d86afd7a7d9b2d45c3fe0fd8955bcf5993627e]

i116531:[Automation]: g_Clipboard.inc, tiEditUndo delets file before it is closed.


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [9822f844d0a765c03fbc89c31a24a6bc9b35cc78]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [cdd4426cb79665f8dd2a410d666c768286cfa269]

i116517:[Automation]: trying to make i_slidecopy.inc more reliable


2011-01-19  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [e093b8042984096830ab3bbc76dda43527ef7d05]

i116516: [Automation]: g_spellcheck.bas does not get into Quaste


2011-01-19  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [fe672057a425cd33bea3bb60de0ae10765ea8ddc]

i116516: [Automation]: g_spellcheck.bas does not get into Quaste


2011-01-19  hde  <hde@openoffice.org>  [b2f615336ff63ccaf14528a2c2a230bb6bb08f45]

#i116515#vcl118#moved testing of checkbox 'PrintReverse' from 'Global' to 'General'


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [d316f22ab67cf130aab70a294b6ff79b32b9f842]

CWS-TOOLING: integrate CWS sb135


2011-01-17  hde  <hde@openoffice.org>  [404833b494fd48ceb4a8664eb79f61619030be41]

#i116387#automationdev300m97#Added Sleep 1 in line 66


2011-01-17  hde  <hde@openoffice.org>  [62b36deae237003b72a80d405257214b30a67dc0]

#i116393#fixed typo in testcase tToolsNumbering12, missing then


2011-01-17  Mathias Bauer  <mba@openoffice.org>  [1989f0b884224dfc4cb72b5afe0b034cebcf91c4]

cws mongolianlayout: resync to m97


2011-01-17  hde  <hde@openoffice.org>  [6a3d892289a1a49cc3612743b1237370747da654]

#i116393#removed bin filters from autotest


2011-01-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [85e534adff39b3c68d34c063dffa4d2b380843c0]

chart46: merge with DEV300_m97


2011-01-13  Thorsten Bosbach  <tbo@OpenOffice.org>  [720bf98b09a6ffd487eb42800c11335bce5d7cdd]

#i116397# fix math


2011-01-13  os  <os@openoffice.org>  [2021de551439bc8b6e310fded4238409bd809d9c]

merged


2011-01-13  os  <os@openoffice.org>  [6ec5b4f357d5a47e9566994ea1fcce9d05055518]

m97 merged


2011-01-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [64604cd7983204f3999729ff432a47be20ebfdd4]

rebase to DEV300_m97


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [5c1062b2bb1697eeca47e551eef913813efd0eaa]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [5874d96a88795f941f8a900d9834e2704e8884ae]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [3b1218207f62389a239acaa7ff1439dcc6827cc7]

these short options now deprecated, so use long ones


2011-01-11  Thorsten Bosbach  <tbo@OpenOffice.org>  [006667c461cff29536e1097d6c2207136a2fa0c6]

#100000# add some waiting for index dialog


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [24fce024b42cdd4f7310c7822b1151f23bebea2b]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [461f5b53550c8613cd91192e55db33ace33625aa]

undoapi: merge


2011-01-10  os  <os@openoffice.org>  [858ec8ff6718b7f8e00007199515dc3f5d01e3aa]

#i116322# disable binfilter file export: remove test of binary load/save


2011-01-07  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d83ebd041f2529ab9153bfbbf503ee11a7351507]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/undoapi


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [ebb4fd7421f40312cf5c5aaf33678b9386aa4890]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [844bf22ce9ac4be20ba001a33df476729f860d7e]

rebase to DEV300_m96


2011-01-06  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [9f165c7359048343b40d4e333847667a4b3aeee1]

undoapi: merge after pulling CWS sb135


2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [c51551b228f275e55e155933673963da0f8b45ee]

CWS-TOOLING: integrate CWS automationdev300m95


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [eddd5ed315bdf0263c8434f19641b0a5c9e67836]

dba34b: merged DEV300m96


2011-01-03  sb  <sb@openoffice.org>  [1e2b86a2c8f568005897933eab262feac2f59d68]

sb135: merged in DEV300_m96


2011-01-02  Rene Engelhard  <rene@debian.org>  [3f0b05e5bd48a578100311548482bf4f66e7770b]

Merge remote branch 'origin/libreoffice-3-3'


2010-12-29  Yifan J  <yfjiang@novell.com>  [38750afca83fabcb8ed54a9a4ddffc43b00bb8aa]

slideshow test case update.

influenced case:
i_sildeshow.bas

1. give more safe coordination for drawing rectangle

otherwise the testtool may 'click insert chart
icon in the slide page' by accident when trying
to 'drawing a rectangle'

2. use uno slot to Call Slide Show -> Custom Slide Show...

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-29  Yifan J  <yfjiang@novell.com>  [f76964c45155a0ad352bda87d208d732eed27851]

use uno slot to click File->Save(as) in Base.

influenced case:
testautomation/dbaccess/optional/dba_db_hsqldb.bas

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-29  Yifan J  <yfjiang@novell.com>  [f33f12d1df45316d2289ccdf0b1fd3109666bd67]

more stable export graphic test.

influenced cases:
/testautomation/graphics/optional/d_export_graphic_a.bas
/testautomation/graphics/optional/d_export_graphic_b.bas

1. do not verify exported SVG xml content, just verify
the exported file is existed. Because SVG will be rendered
by Draw directly instead of ASCII import mode (which was
used by the old script to verify the content).

2. replace an inexisted testing picture to an
existed one

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-29  Yifan J  <yfjiang@novell.com>  [821b2e4b9a24e404a6f40714481765c58850bb0d]

use uno to invoke File->Digital Signature dialog.

influenced case:
f_security_dialogs.bas
f_security_certified_docs.bas

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [1c456c34767a608803253283a3d66b90ca2b63bc]

dr77: rebase to DEV300m96


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d807dd88c48c390dc0c82d60a4df74bf747bf19d]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-20  Yifan J  <yfjiang@novell.com>  [e28cc4c4a2d8d7f8cdae8b9731597c397b2480ea]

set small icon theme at beginning of testing

also replaced tabs characters in source

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [b1bc3a2bb31ac73b38866d965f6ae2fc1dda970c]

Merge commit 'libreoffice-3.3.0.2'


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [e7cd45f6cd3347fe7c3b04e55452fb1af055e5c1]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [63617eed5b5357a8ec6684bab58e999557957bca]

CWS-TOOLING: integrate CWS dv22


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [a8b04329291d2d25c10f55b6228eb769dbcac820]

CWS-TOOLING: integrate CWS rpttestcleanup01


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [880eede0a966c32fdc113fd462b74fc5901cef81]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [34e2c7a79e6a4dfe5101d4303a0c68c5585f0d7a]

CWS-TOOLING: integrate CWS automationdev300m95cat0


2010-12-17  Helge Delfs [hde]  <hde@openoffice.org>  [d5c4ba9db93d11ef496698be1f4667c955a42eb0]

automationdev300m95#i116157#added some sleeps


2010-12-16  Yifan J  <yfjiang@novell.com>  [30ab7288b44ede6284beb85fda69021ba674d868]

set small icon theme at beginning of testing

also replaced tabs characters in source

2010-12-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [86aa23070613c4e033320aaa943e2a70567464f7]

undoapi: merged DEV300m95


2010-12-16  Helge Delfs [hde]  <hde@openoffice.org>  [2cd51f553d4de83c10d5a4aed4eaf314f716b408]

automationdev300m95#i116147#turned qaerrorlogs into warnlogs


2010-12-16  Helge Delfs [hde]  <hde@openoffice.org>  [7ab541ee4a34877cb9d03f166f6f3562154e03af]

automationdev300m95#i116147#turned qaerrorlogs into warnlogs and fixed closing dialog


2010-12-15  sb  <sb@openoffice.org>  [c84d27589a166d7dba9ea1bda9c006c8aac3e318]

sb135: #i116125# removed qadevOOo/qa/complex/junitskeleton for now


2010-12-15  Helge Delfs [hde]  <hde@openoffice.org>  [8f08509c586cf1960082317c4fb9656cf4bc6369]

automationdev300m95#i116118#After restarting the office a new document will be opened


2010-12-13  serval  <serval@ilapharm.com>  [c46a82f1c0f72f5e73f05b50fa1f35ceb722fc6f]

RTL_CONSTASCII_USTRINGPARAM for testtools


2010-12-13  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [e4a641af7f9333b485be910c9e5eef450fe70f03]

Update from master repository (DEV300_m95).


2010-12-10  sb  <sb@openoffice.org>  [fd0b55c79fdb2341a4b17ac6a63dd93ec6db04fb]

sb135: #i116045# removed performQueryForUnknownType; cleaned up


2010-12-10  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [3444c40ccda9a4770156e379f6dc4f848eef7ae0]

i115985: [Automation]: wipe off last old comments


2010-12-09  Helge Delfs [hde]  <hde@openoffice.org>  [68de751d80386c22a8a072fb48e53831996cc9e0]

vcl117#i115056#adapted some helpids to changed ones in office


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [2b7146f6c265cf3debf5c88cecfb428d4dbbdd59]

add three byte structure return test for the MacOSX/BSD quirk


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [b810edd5ff126cc13cf290ed6ab3143fd59aeff4]

add a Mixed Float And Integer struct return test


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [5dcb680a82c39fb296a42a4e4d2a423de6eec9cb]

add a twoFloats return test


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [335baeec72eeb66b7c3c1cb46b44d2a1783a3727]

fix the dependencies so that the uno_types is regenerated if the .idl changes


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [203474a91fff2b72feb7043a66d26b719879b454]

rename AllFloats test to FourFloats


2010-12-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [7c8862ad7216a47828289ee87edc1d9cc178ed41]

vcl117: more HelpID cleanup


2010-12-08  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [b93cfd3156222790e019cb40180875a266d7e30a]

vcl117: clean up helpid mismatch


2010-12-08  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [1a92ee561805a1b2d883e6bcd21eec7aa8664cd4]

i115987:[Automation]: d_opt.bas, ToolsOptionsDrawGeneral: Drawing Scale State changed fixed now.


2010-12-08  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [0c13865417677787195c62a29fa295fcefbb232e]

i115985: [Automation]: wipe off last old comments


2010-12-07  sb  <sb@openoffice.org>  [3cc50569b4b8c69b48a77cc67b2cea63a18abd6f]

sb135: merged in DEV300_m95


2010-12-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [6e0a13b694e561a8258b172ff937ad1af98e74d0]

merge with DEV300_m95


2010-12-05  Takeshi Abe  <tabe@fixedpoint.jp>  [f4493359b9b230206ad252cd359d09b73d4d52d8]

Replace all occured, occurance etc.


2010-12-03  Ivo Hinkelmann  <ihi@openoffice.org>  [9c2852d8869d45fcbb4fe6ea8f5a5bf5883febef]

CWS-TOOLING: integrate CWS automationdev300m93


2010-12-02  Caolán McNamara  <caolanm@redhat.com>  [2842b13ff34a3c99327b9c6a4fcc3404f14e8e6c]

make smoketest use ooinstal to build its install set


2010-12-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [1999c1ff65ffa1bb02c2d27f544136e323df9ccd]

#i115865# cancel button is now a close button


2010-12-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [af03d755b822473d3f9d2362654506b355ea3c12]

#i115865# cancel button is now a close button


2010-12-01  Petr Mladek  <pmladek@suse.cz>  [250f40e43da2faec424a1a89d6f855368afade94]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-12-01  Thorsten Bosbach  <tbo@OpenOffice.org>  [348c444b3862b5aea20b6dc41d4cf5e69875dd63]

#i115864# change file list count


2010-11-25  Gert Faller  <gertfaller@aliceadsl.fr>  [515ca95095cd77694dfb9180a17758390f707bb4]

RTL_CONSTASCII_USTRINGPARAM in testing


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [bd13b596cf802cc6423822d2033bfbe6ac0f120d]

Update from sibling repository.


2010-11-25  Matthias Huetsch [mhu]  <matthias.huetsch@oracle.com>  [530d442742e04546604162869673a5beed7f2fa2]

Update from sibling repository.


2010-11-25  Michael Stahl  <mst@openoffice.org>  [646cebf0b2c5b3b4acbe453fad4a0d8b29f99594]

udoapi: merge sw refactoring with undoapi stuff


2010-11-25  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [596306d0fd63774bc731bb9bbfd584b9ef9fd5c4]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-11-25  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [2605204da9c5d9d4899cf9747c4910343628f491]

cws spc01: #163967#


2010-11-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [28882e8754fdd89469c6b06c87c5939d7b36968f]

merge with DEV300_m94


2010-11-24  David Tardon  <dtardon@redhat.com>  [6b352927e1606d74ab3e3056f2352606a9a874f7]

fix invalid XML


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [66fa2ce6cbf06774be46293d8b8c0491f8cb7cf6]

dba34b: merge


2010-11-24  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [87ebfce72599ffa8e03c7f2a74fc663723e0cdb5]

dba34b: merge


2010-11-23  sb  <sb@openoffice.org>  [3792a6bf03a9eacb79bc2ab886c4540e8d5e6b27]

sb135: merged in DEV300_m94


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [68677d6b5db7b7020c6ab55726d5a63e6db13a84]

dba34b: merge after pulling DEV300.m94


2010-11-22  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [3f708b32ab382a709502d76971ed9392908f15a2]

cws dba34b: new test for charts


2010-11-22  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [98aeaff628c6ce2efe22d680b0e865aec9349686]

cws dba34b: remove qaerrorlog


2010-11-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [46d5471288978e83d6fcac6484dff384af3b9750]

undoapi: merge after pulling DEV300.m94


2010-11-19  sb  <sb@openoffice.org>  [e6951a8ca2f816958e2e462dafc2e8bacd0e550f]

sb131: merged in re/DEV300_next towards DEV300_m94


2010-11-19  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [545fbc0716bf7462cc9eceb28b62558544f75f68]

i115673:[Automation]: replace old documentation style


2010-11-18  Lars Langhans  <lla@openoffice.org>  [5d68b46c3c92615fbd1ffdd63f91683dce88ee73]

rpttestcleanup01: #115649# fix for graphical compare tests in odb report designer documents


2010-11-17  Vladimir Glazunov  <vg@openoffice.org>  [f24f9de13cd7bb1d64073e14dca3e1554b447070]

CWS-TOOLING: integrate CWS automationdev300m89graphics


2010-11-16  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [a62b7c47fb02b28bc5c4bc6dfba77783183aea77]

i115273,[Automation]: shift old documentation to new style using printlogs


2010-11-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [e09697dcf98c03bedffe5b1834edc40aee248feb]

 undoapi: step 2.1 of the migration of css.chart2.XUndoManager to css.document.XUndoManager:  implement an XUndoManager/Supplier for chart documents


2010-11-15  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [595d97ed70e9d4c93510866a7dcd18c167df3100]

#i115582# [c_updt1.bas] reenabling special handling for Linux in tFileRecentDocuments


2010-11-15  sb  <sb@openoffice.org>  [08d5e97396e1737ce61becca6ecfa3a2f0e7fd05]

sb135: merged in DEV300_m93


2010-11-12  Jan Holesovsky  <kendy@suse.cz>  [948b73cb8b36c2c4487c4d6f3cad6fcc6a12c0cf]

Merge remote branch 'origin/libreoffice-3-3'


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [3084fecfad51093b5151b7202dc740732fdbf0c6]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-11  Vladimir Glazunov  <vg@openoffice.org>  [baff6d27f404099733283af5395348c692e3d967]

CWS-TOOLING: integrate CWS automationdev300m91


2010-11-10  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [bb799d1b57ea4491a44bcc57a124ad3d5168a43f]

automationdev300m89graphics: Local branch merge


2010-11-09  Vladimir Glazunov  <vg@openoffice.org>  [638de6701c1fd3445909c66510a6e20f12346cb2]

CWS-TOOLING: integrate CWS fwk149


2010-11-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [08e3c7d7aab42034775b02723fd839990ae3fd9f]

dr77: rebase to DEV300m92


2010-11-09  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [a6ab80405bf51e9101d0b067eb35fbf7fac04086]

cws automationdev300m91: #i115468# workaround for this issue


2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [c58cc817a379eb8f1823a0254060562ae433a0ce]

CWS-TOOLING: integrate CWS sb132


2010-11-08  Vladimir Glazunov  <vg@openoffice.org>  [a71df3417c7e7e14fc9b1d802e75ebdffa6bab27]

CWS-TOOLING: integrate CWS dba34a


2010-11-08  Helge Delfs [hde]  <hde@openoffice.org>  [e107d240e8857c44dbd97f710bb8510dd2ea7430]

automationdev300m91#i115375#added a sleep due to timer on slot FormatGroup


2010-11-08  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [4aba67389f4b93c489d795ed7a4a6385f16409b9]

i115273,[Automation]: shift old documentation to new style using printlogs


2010-11-08  Helge Delfs [hde]  <hde@openoffice.org>  [d7586b7c1e430ef9c66fd5158301b8c2c1466dd6]

automationdev300m91#i115375#fix selecting objects


2010-11-08  Helge Delfs [hde]  <hde@openoffice.org>  [defa038bc096baeb508ff40cf814155328b6690c]

automationdev300m91#i115475#added optional bool parameter bLeaveSelected


2010-11-08  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3cf9c6b9228cdf0d111e97be5f59a24d55524932]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba34b


2010-11-08  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [409cc49e5de78d7ed8e1798f947012aae3547d17]

#i115408# printtest broken due to enhanced listbox


2010-11-08  Helge Delfs [hde]  <hde@openoffice.org>  [0a5e32a45b74e0fd94e231f75dfdf885957404cb]

automationdev300m91#i115427#added waitslot for stability


2010-11-05  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [2c316dc755b333fe377ddb8b8c8a99f8324cf86f]

cws dba34a: new control added


2010-11-05  Helge Delfs [hde]  <hde@openoffice.org>  [a9211ec563874e6977a65a8490a9bb4dd4455750]

fwk149#i115132#fixed problem with uno-slot position and closing hyperlink dialog, execution of hyperlink disabled


2010-11-05  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [2a3e5999fb88623a255874e6899f4445376648c1]

#i115399# c_import_general.bas has warnings


2010-11-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [311ea4079e5a503a18d3e272c4347950de3b60c9]

merge with DEV300_m92


2010-11-04  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [a09882ffbc7cfc21c4d6968b864d1bdc6d249be7]

#i1154083# Printtests broken due to enhanced listbox


2010-11-04  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [2aab36a102cfffe284a9d075039b6473f15dee7d]

.


2010-11-04  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [ce475fb2ceba4593ab36abad0f660ceeb1a350a5]

#i115353# MSC_SPECIAL_DIALOG does not work anymore


2010-11-04  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9a8cb95491e90ee1aef41eec23ef063cdd882c71]

undoapi: added tests for OOo's auto-closing of Undo contexts after executing scripts which do not properly do this themselves


2010-11-04  sb  <sb@openoffice.org>  [50f18b76fc12f2e54e57f2705890251986ec7efe]

sb135: merged in DEV300_m92


2010-11-03  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [f2c0db7fbab7e8b0e645412505f64b42f1ad28ac]

Changed symlink processing to new application name.


2010-11-03  Helge Delfs [hde]  <hde@openoffice.org>  [5f7b65495700ff7a69fe4a24af66c6461456b6f5]

automationdev300m91#i115378#assure fields are updated before content is checked


2010-11-03  Thorsten Bosbach  <tbo@OpenOffice.org>  [677dabcc243f7ee53067d4a768a13c0b71149a1f]

#i115361# fix setting of buildid in special case


2010-11-03  Thorsten Bosbach  <tbo@OpenOffice.org>  [60e2276fb510d2f83f899f0be5594aa05c6ea318]

#i115122# hid.lst is version independant


2010-11-02  Vladimir Glazunov  <vg@openoffice.org>  [5aabc9ca1f75a003ddd07e9dd30c5d74a3b9858c]

CWS-TOOLING: integrate CWS vcl116


2010-11-01  Dirk Voelzke  <dv@openoffice.org>  [261efafdc368223e747ecfa236947d4c8198b7ea]

dv22: merge with DEV300_m91


2010-10-29  sb  <sb@openoffice.org>  [ca348ca680c2bcff50d94537e4959d2d62051634]

sb135: merged in CWS sb131


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [47096e37ae00a875cd894f3743e7e8d2fe85f71f]

merge after pulling DEV300.m91


2010-10-29  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [de14bb9ef7794817ab43e761682e6b577bc2211e]

merge after pulling DEV300.m91


2010-10-29  sb  <sb@openoffice.org>  [7174ebd483036beaf718aa51a92f1abdb5257a43]

sb132: merged in DEV300_m91


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [3327bf8e2279ccd8bbb0bfea35da98d9ae7c8296]

Automated merge with http://hg.services.openoffice.org/cws/dba34b


2010-10-28  Ocke.Janssen  <Ocke.Janssen@oracle.com>  [4af904e19697ad1346bb04a01a00eda61b0dd510]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-10-28  Thorsten Bosbach  <tbo@OpenOffice.org>  [f785bb654731c4ac7306bf0896d454fa163e50ab]

#i114476# fixed maximize/minimize on Mac OS X


2010-10-27  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [eec3a789353e9b80171921aea000ab0725b468f0]

i115273,[Automation]: shift old documentation to new style using printlogs


2010-10-27  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [aabe08cde08cd0cc066feedc20a7fb8be8bb3620]

i115273,[Automation]: shift old documentation to new style using printlogs


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [3c11769ba06acb36b1ed0e14fbe4acdbb85f8bcb]

add modelines to .hxx files as well


2010-10-26  Vladimir Glazunov  <vg@openoffice.org>  [445c542a4a2474ce8f6ecb2e2cec700fe6d94dcf]

CWS-TOOLING: integrate CWS automationdev300m87


2010-10-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [60eef88c8b1de31a39b8c9c65054e0d68aa0d2a1]

automationdev300m87: #i112208# - Turned off verbosity in hFileOpenLocally()


2010-10-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [786e556374aede52bf2eb683145f3a62b52266c5]

automationdev300m87: Rebased to DEV300m90


2010-10-25  Thorsten Bosbach  <tbo@OpenOffice.org>  [e6c2b4149e475067db8e862b5b5bb84eae62a288]

#i115106# math part


2010-10-25  Thorsten Bosbach  <tbo@OpenOffice.org>  [70affdaffc4b0e9979827390472c93901fb53878]

#i115106# fix modified file and conflict from m89


2010-10-25  Mathias Bauer  <mba@openoffice.org>  [06c9b2de4f245ff07c13014ac749bbc363031c4c]

CWS monogolianlayout: resync to m90


2010-10-25  Thorsten Bosbach  <tbo@OpenOffice.org>  [35d154ab0249057e8cef3942121539fa3d590476]

#i115106# fix modified file and conflict from m89


2010-10-25  Thorsten Bosbach  <tbo@OpenOffice.org>  [d8ebee11e6d997de7f0acd22b9d53706eee33d19]

#i115106# fix modified file and conflict from m89


2010-10-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2d2eb9a4da61560071c77efc2775acad2ae3cb4f]

automationdev300m87: #i115106 - Re-enabled tRecentDocuments.


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [57fe3a0a2fb0d65518f897b60284805c92f96b83]

automationdev300m87#i115106#replaced hFileOpenLocally with hFileOpen


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [a25c3707b95920f86e41d6fbce54a478e1d44097]

automationdev300m87#i115106#uses now hFileOpenLocally


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [20d8f7322b4f6f98f282a53ff2a46a25601814d8]

automationdev300m87#i115106#added neccessary wait


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [ba8a9ff2a7ce26454aa7b3420321f77b738e3405]

automationdev300m87#i115106#uses hFileOpenLocally to open document


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [af8fe80d7abb51462a32de76cf95f667d992cb1f]

automationdev300m87#i115106#uses hFileOpenLocally to open document


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [d2b80b92da91364a85cd7f57565579d8e85f1e15]

automationdev300m87#i115106#excluded testcases touched by known issue


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [3341d467e037524c7159642d63a7f01b2d7425d1]

merge conflicts removed


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [f87a26cf81e7b76407574a12938efda8a8da884e]

merge conflicts removed


2010-10-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dd9b2b0bdf67283d83de878c73439f0ec4fab2c6]

automationdev300m87: Merge in my changes


2010-10-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [63628e839ce9116aedee6f326059c9b7e5388ba0]

automationdev300m87: #i115106 - Incorrect count in colors, we lost four, chenged single line if-statements, reformatted according to coding guidelines.


2010-10-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7d352598ebaa5ecd8d283e4d96837e0498a78e62]

automationdev300m87: Merge with rev 25d8116b796a


2010-10-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b44f22f344af44b738a7eb61cd4c96ec2de223b5]

automationdev300m87: Merge with changes from HDE (23bd77f198c9)


2010-10-25  Helge Delfs [hde]  <hde@openoffice.org>  [b271bbfb6f8acc2a5860fdd41d9e765224004c86]

automationdev300m87#i115106#fixed loading local file


2010-10-24  Jan Holesovsky  <kendy@suse.cz>  [d43b2489be5f0c93fbabcf3ba465027f233bbf95]

Merge commit 'ooo/OOO330_m12'


2010-10-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [666fb0396459dbea97d368e30139e9dd2ace0b6d]

undoapi: don't throw too generously


2010-10-22  Carsten Driesner  <cd@openoffice.org>  [722b7fd203a488e441307d051809a514f8a1e665]

fwk149: Merge changes from DEV300_m90


2010-10-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e87868db88dac8b8f94b3ee9608dff773da0030a]

automationdev300m87: Local branch merge


2010-10-22  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [90696abffa46ca210198bf6ec0c553794c8a6127]

rebase to DEV300_m90


2010-10-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8b549a52e8603ef6170d53294b39722724ea88ac]

automationdev300m87: #i115106 - excluded tests due to #i115138


2010-10-22  sb  <sb@openoffice.org>  [186ebd20f7d7d718666a359836f92966de60f5ef]

sb131: #i115124# $(XSLTPROC) implies LIBXSLT:libxslt


2010-10-21  sb  <sb@openoffice.org>  [acb3fc9cc7743535e6afa8382a39bcf151216f04]

sb131: merged in DEV300_m90


2010-10-21  Mathias Bauer  <mba@openoffice.org>  [9281806a498273d6055e9b2f79f070d9309be880]

CWS changehid: resync to m90


2010-10-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e30165f11ed370bca71378efe193b9fdfbb5a2ab]

automationdev300m87: Local merge


2010-10-21  Helge Delfs [hde]  <hde@openoffice.org>  [b9e72f921c07f8d5fb97e910ca2f66738bf35b66]

automationdev300m87#i115106#fixed loading local file


2010-10-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f789a750cd16f36e80a73addb22df3d199e3e69f]

automationdev300m87: More local merge


2010-10-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2ea787af7aecf76efee6ff96861770fab59691b6]

automationdev300m87: Local merge


2010-10-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fa9041819c4f003fa34f9c37454f200de4748a26]

automationdev300m87: #i115106 - Deleted deprecated header information


2010-10-21  sb  <sb@openoffice.org>  [8abf33f8698a110551362a72bf40bf2200cea300]

sb132: merged in DEV300_m90


2010-10-21  Helge Delfs [hde]  <hde@openoffice.org>  [d3c90759d8c2fdc2a9b58f76d814855ae830eeb4]

automationdev300m87#i115106#fixed loading local file


2010-10-21  Helge Delfs [hde]  <hde@openoffice.org>  [722a0492bceb58a67f0fe7cf273314dc0583df33]

automationdev300m87#i115106#warnlog removed and excluded testcase enabled


2010-10-20  Helge Delfs [hde]  <hde@openoffice.org>  [173ec57a43a5071cb0ccb7f0b09827707c759dae]

automationdev300m87#i115106#fixed access to disabled controls and reloading local file


2010-10-20  Thorsten Bosbach  <tbo@OpenOffice.org>  [74aa639748191656e17030afecb1bcf535045cbe]

merge a head


2010-10-20  Thorsten Bosbach  <Thorsten.Bosbach@Oracle.Com>  [e191551a0cb12035162736f39d329915e9a534da]

#i115106# change extension dependency


2010-10-20  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [162e29cbbba7dd52fdefa767b8863f5306861bd7]

i115106,[Automation]: 	[Automation] General Cat 1-3 test case fixing


2010-10-20  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [d1ebb6d825eb0fe9204b35f3aca0aaac23a5534f]

i115106,[Automation]: 	[Automation] General Cat 1-3 test case fixing


2010-10-20  Helge Delfs [hde]  <hde@openoffice.org>  [510eae0d86ee6c9e2eaf0cada6077fc7448b28d4]

automationdev300m87#i115106#function never returned a bool...fixed now


2010-10-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c9951074237030e538e9db91ac25d28431c8faf1]

automationdev300m87: #i115106 - excluded tests due to #i115138


2010-10-20  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [b06977990ff76222ef8825665fdd1ba9d464458c]

i115106,[Automation]: 	[Automation] General Cat 1-3 test case fixing


2010-10-20  Helge Delfs [hde]  <hde@openoffice.org>  [002e17c4e9d29200495ef34ab19987a50f2875f0]

automationdev300m87#i115106#optimized output if slot is not found


2010-10-20  Helge Delfs [hde]  <hde@openoffice.org>  [a7319318c9e827217edbd8a1669ebd0db07f1f25]

automationdev300m87#i115106#added warnlog if uno-slot is missing for menu entry


2010-10-20  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [6c29990ac36161219ed62879acb72e39ee2115f6]

i115106,[Automation]: 	[Automation] General Cat 1-3 test case fixing


2010-10-20  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [bfb7835374b50e590ab400a3a7b9f1932c331ed4]

i115106,[Automation]: 	[Automation] General Cat 1-3 test case fixing


2010-10-20  Helge Delfs [hde]  <hde@openoffice.org>  [50776e37d295f20c179d6472e29a05b41f7c1034]

automationdev300m87#i115106#Corrected scripting failures due to disabled controls


2010-10-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8809e718436f450bf11d0066e230d2cc70a377e6]

automationdev300m87: #i112208 - hOpenFileLocally should alwas be used together with hFileDelete


2010-10-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4664a23b7fc4cd196e7e5a7613856668f9a60988]

automationdev300m87: Local merge with changes from HDE


2010-10-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [068d3c721630cf0631079a396b5c33b9016fb501]

automationdev300m87: #i112208 - hOpenFileLocally started


2010-10-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c310279843fe47864944e1dc9f4edce49b20d029]

automationdev300m87: #i112208 - hOpenFileLocally started


2010-10-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b4dc3e338fd7c4d489ce5233ea79f64c883e457b]

automationdev300m87: #i112208 - Indent fixed


2010-10-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5f8ee7476776f388cfa80edf91f7fbdc7d8e3a1b]

automationdev300m87: #i112208 - Fix two test cases, remove a few unnecessary sleeps


2010-10-19  Thorsten Bosbach  <Thorsten.Bosbach@Oracle.Com>  [362ef0c608e35783696758a96074e9b91c62f92a]

#i115122# hid.lst is again static


2010-10-19  Helge Delfs [hde]  <hde@openoffice.org>  [2f5d900d6a9fe1b6b2c675d5c67190ef34847857]

automationdev300m87#i115106#Corrected scripting failures opening context menu and closing Hyperlink Dialog.


2010-10-19  Helge Delfs [hde]  <hde@openoffice.org>  [00e355d215524d428989e270121a881f4ee72435]

automationdev300m87#i112208#Copied elementary files to local dir


2010-10-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [950bcd7c2f80e1bc41b4cdc994056062d02ee7f3]

undoapi: added PRESENTATION/FORMULAR doc types


2010-10-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b08f238625371ead92432403add66dc0cda2d6f4]

automationdev300m87: #i115106 - f_basic_formcontrols.bas - added issue id for #i115117.


2010-10-19  Helge Delfs [hde]  <hde@openoffice.org>  [ea1eb1cbd2a2b0001c5df49e50c6c5e4407595ab]

automationdev300m87#i112208#File created in this testcase must not be loaded with hFileOpenLocally


2010-10-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [18019a9a865004248f9cbabade938ae3b5b8e4cd]

automationdev300m87: #i115106 - gridcontrol - remove workfile on test exit


2010-10-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f65084020c4645d0d2877502c06d533666fe07f]

automationdev300m87: #i115106 - Change comparision values. There is no way for me to tell that these settings are correct, however, we can test for changes now.


2010-10-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [57b5d88e147bd222d4a2a7acca1076405d61434e]

automationdev300m87: #i115106 - Fix f_basic_package_export_import.bas


2010-10-18  Vladimir Glazunov  <vg@openoffice.org>  [fb06b52ff1ca7b4077df838cf133e9cd4c8ded66]

#i10000# changes from OOO330 m11


2010-10-18  Kenneth Venken  <kenneth.venken@gmail.com>  [db5dc205693ed0a0b0bc7103525d5755bae916a5]

replace sizeof(foo)/sizeof(foo[0]) by SAL_N_ELEMENTS


2010-10-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [03676b306a8fb213a034d00b2841bdfa634c2b3f]

automationdev300m87: #i115106 - Fix f_basic_gridcontrol.bas


2010-10-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [32c84cea83c8a96b3a84fa9729d03005b8c03ab7]

automationdev300m87: #i112208 - templates fix. Also provided extensive documentation to tModifyObjects(...)


2010-10-16  Mathias Bauer  <mba@openoffice.org>  [ded6cc9ad7518f048f6277e5ffa52b4267af14e4]

CWS changehid: missing hid


2010-10-15  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [668cd4d6e431f032ea1e486d4e77a7c51c79a3d3]

undoapi: tests for Draw docs' Undo


2010-10-15  Mathias Bauer  <mba@openoffice.org>  [360fa6eae078bbf39189c08c31380ba6f4713d69]

CWS changehid: wrong written HID


2010-10-15  Mathias Bauer  <mba@openoffice.org>  [518921da8a9c7211c2db515623d1329817d13cbc]

CWS changehid: some missing HIDs


2010-10-15  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [728f77b44b84362a6a2c36787e04d449bf9d438e]

#112208 # Problems due to hFileOpenLocally in Spreadsheet fixed


2010-10-15  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [eeddc52fe4b79ddaf9afa52f45b028e47783a358]

undoapi: fixed makefiles


2010-10-15  Oliver Craemer [oc]  <oliver.craemer@oracle.com>  [d81a6d4f52cbb6e4cf144b1a4dd9966d439d5820]

#112208 # Problems due to hFileOpenLocally in Spreadsheet fixed


2010-10-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c2f81507c53241ed873bff4557c5cd9bb4d8f833]

automationdev300m87: #i112208 - More verbosity - again.


2010-10-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9a23ce1fc310a2f4d870abb467e230ab9a8ee4f1]

automationdev300m87: #i112208 - Delete local file


2010-10-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4c934041f4ae3ef459713a8a0db4799d62dc559d]

automationdev300m87: #i112208 - help-fix


2010-10-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f4e3cf0d9493b23e56ff510e7331a678da8a03be]

undoapi: added tools (in test-tools.jar) for writing Java unit tests which operate on a live OOo


2010-10-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [de114dfa37655bb3128797fe4db01c92acdaa8d3]

automationdev300m87: #i112208 - filter-fix


2010-10-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [6ebd013d614574925a475cc6bc1a50142c545811]

CWS-TOOLING: integrate CWS automationooo330m9


2010-10-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [13c57fa9965fbdb04526e26d248feb36fff44921]

automationdev300m87: #i112208 - +1 module


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [c5529d2b7857f72c5dc76d04801489fa15314b03]

CWS-TOOLING: integrate CWS automationdev300m88graphics


2010-10-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [37577d1c6166963395a9ab097109f5350608c808]

automationdev300m87: #i112208 - security_incorrect_password.inc had invalid path, fixed


2010-10-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [50fce3cdd67731d1f80bfc15a58c371d01e5d920]

automationdev300m87: #i112208 - Gridcontrol test needs readonly file. There is another problem which prevents the test from running but this is not going to get fixed here.


2010-10-14  Vladimir Glazunov  <vg@openoffice.org>  [8fd594a68a4840b7aaf357a984e942f2c2f35efd]

CWS-TOOLING: integrate CWS sb123


2010-10-14  Mathias Bauer  <mba@openoffice.org>  [5eaabf9b186207dd8018b422afb1e9f699de305e]

CWS changehid: some fixes for Writer update test


2010-10-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2a2a4670a18c7965e896d6f68ac676a4ec474a86]

automationooo330m9: #i115026 - Fuzzy list matching to avoid warnings if the office is installed in some special - non standard - way. As we have no standard, this applies to all installations.


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [c8c48cada3b0367de2fc57542763a68cddddd2e8]

don't use the Unix splash screen app during the smoketest


2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [a9ce47d131a6ff07b97c45bf29b420dad471c4a8]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-13  Mathias Bauer  <mba@openoffice.org>  [b6ee0dd243a5ce4f19ca0dee1eddcee0dc358a50]

CWS changehid: wrong UNO cmd name for SID_THESAURUS


2010-10-12  Petr Mladek  <pmladek@suse.cz>  [12004332f84b41f5c53a77a5d0c9c883559110c7]

bin the prebuilt version_2_*.dll

they are usable only with installed OOo-2.x

2010-10-12  Petr Mladek  <pmladek@suse.cz>  [570056f12a8df78cf2309317f39c104f42dbe1c9]

bin unused old binary crap


2010-10-12  Oliver Craemer [oc]  <oc@openoffice.org>  [1d62040b273e62d14b6844c15f775b935cfdfbc3]

#163885 # Correction of mispelled testownername


2010-10-12  Thorsten Bosbach  <tbo@OpenOffice.org>  [0eabe6cf78f5aadefdfba1d9761914a0add66068]

#i114831# fix outcome from tl83 cws


2010-10-11  Mathias Bauer  <mba@openoffice.org>  [ff6df6d0cc41385843b47eba7a5271078777fe0e]

CWS changehid: remove some superfluous HIDs; adjust some to necessary changes in the code


2010-10-09  Michael Meeks  <michael.meeks@novell.com>  [7f6ae6cd81753413b5682f313ff1f9922d54a569]

disable disabling the quick-starter for now - needs re-visiting.


2010-10-09  Michael Meeks  <michael.meeks@novell.com>  [d45566fb3ead5b42e7022e5ddda8f903b42482fc]

disable the WelcomeDialog for now.


2010-10-09  Mathias Bauer  <mba@openoffice.org>  [148ed67fde6c7093695d1ae1f057cbbda3098821]

CWS changehid: resync to m89


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [984f618be3039dc0134f8dfc598e392e5b9ee348]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6e21a90bcec9ca45da17c50156672b51a9c71b76]

LO -> LibO


2010-10-08  Mathias Bauer  <mba@openoffice.org>  [1d597c2f9f490b95732694eee803fbb41ae3f0ad]

CWS changehid: rollback changes for autohids


2010-10-07  Mathias Bauer  <mba@openoffice.org>  [feeb74240c9e149eb159af932b9c1ee3a1cb9175]

CWS changehid: use hard coded ids for some slots until testtool can be exchanged so that executing .uno URLs with parameters is supported


2010-10-07  Mathias Bauer  <mba@openoffice.org>  [ab5592433e5ca0dac5ca6d08750b899d40fdb312]

CWS changehid: further adjustments for changed HIDs


2010-10-07  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [0f3d9fcd02eec87fd46e02a534de4f251d4608d7]

cws dba34a: #i114752# create new test case for this issue


2010-10-07  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [264f9b7f78661c53cc8b231d646bb1fe14dcaa05]

i114859,[Automation]: redesign i_us_presentation.bas


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [dd02ff0aebf1b9afc3c7c7a87b048d9ae3f81ce8]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/testing


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [d787aa644445d067b1f03b8905098964b053baaa]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [38e8abf656cd96bcae3a5f5516f9c501a0b0f2fe]

#i113503# cppunit stl wrapper headers


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [715dd21d0d06f93c0222453afc13e2c28fd35afe]

more removed include guards using fixguard.py


2010-10-05  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8bd8dd8a5a219ad24b979577f4f1694b09f67eec]

automationdev300m87: #i112208# - Local merge with DEV300_m89, CWS rebased.


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [69b59d2230486d1223b28504a6eb857c9c2e290a]

undoapi: merged in latest changes from CWS sb123


2010-10-05  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [b707cfa16e45ee8791b8594ddf3bf1422a13d8c8]

i114918,[Automation]: consolidate test files in graphics area


2010-10-05  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [a1ecd43688b069416976a225dee886e7037c43bc]

i114918,[Automation]: consolidate test files in graphics area


2010-10-05  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [85b7e8a2f45cd5b64e592ba6b096692d63586e94]

i114918,[Automation]: consolidate test files in graphics area


2010-10-05  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [3f63f680ffb7846693e2bf9eecfff33ddc72ea7e]

i114918,[Automation]: consolidate test files in graphics area


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3c29f838ea5e88ee78136424c841551090714ce6]

undoapi: pulled DEV300.m89 and sb123


2010-10-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [bc0564bbeca682d227df46e58377cd8eb3c1fe9f]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/sb123


2010-10-05  sb  <sb@openoffice.org>  [9479a07c2cb8031e7ca8721f49a59091ca29118d]

sb123: broken merge


2010-10-05  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [5f97b7dfc5e23a5fbe51381a025a12ae58644b52]

i114859,[Automation]: redesign i_us_presentation.bas


2010-10-05  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [55a291eb7d3afc8d75fb962417e4700aef5a7457]

i114918,[Automation]: consolidate test files in graphics area


2010-10-05  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [c14a24e022f8cb7a68a05e8bcc628d017d03ace3]

i114859,[Automation]: redesign i_us_presentation.bas


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [8ad17ba0f1bbd223d1cb13a83f98606284329a1e]

dba34b: pulled DEV300:m89


2010-10-04  sb  <sb@openoffice.org>  [3df1e65b733214219a587090c9ab2329f4a1d9bd]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [a4c0521d7e21c542752c8d6d4a08679d627fd264]

sb132: merged in DEV300_m89


2010-10-04  sb  <sb@openoffice.org>  [f9c1d2fe056933cc981dab7ae8ac2b458c9739fd]

sb131: merged in DEV300_m89


2010-10-04  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c1dc100fae2fa1bab7f1a9e49e365060323b8e22]

dba34b: merge after pulling sb123


2010-10-01  Vladimir Glazunov  <vg@openoffice.org>  [61c3452d89b74b28cfa04b706d7bf9262d17224d]

#i10000#


2010-10-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bbdcd8c1f6cd14dd7b9805073aa3bf28f988e75f]

dba34b: +assureEquals for arrays


2010-09-30  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [02197d4453b9ed017c7f23b4ec452ff22cfae4c3]

i114826, [Automation][i_updt_1.bas]testacse 'tiInsertSlideExpandSummary' and 'tiViewSlideMaster'


2010-09-30  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [f2f68ae51ba35df01291aaddbe2e9a29f676cc2b]

i114826, [Automation][i_updt_1.bas]testacse 'tiInsertSlideExpandSummary' and 'tiViewSlideMaster'


2010-09-30  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [984b2a2129ee468893573723d6e4b02ab1ecf058]

i114826, [Automation][i_updt_1.bas]testacse 'tiInsertSlideExpandSummary' and 'tiViewSlideMaster'


2010-09-30  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [f2dd0df2dc03e48b26542251e5303d5099cde6ef]

i114826, [Automation][i_updt_1.bas]testacse 'tiInsertSlideExpandSummary' and 'tiViewSlideMaster'


2010-09-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dacbe367472af938ee040c05cebf784ef6d956e1]

automationdev300m87: #i112208# - c_updt_filemenu.in used own code to do hFileOpenLocally(), replaced it (old code left outcommented). Added deletion of workfile at the end of the test.


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [448ddcb93e1bad2e6561ddc54935638e8007ebd8]

CWS-TOOLING: integrate CWS sb129


2010-09-29  Vladimir Glazunov  <vg@openoffice.org>  [4e01c74f400c9b9468f93e1b12383135a54172c4]

CWS-TOOLING: integrate CWS tl82


2010-09-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [a2e63a82032c8eb95ef5e08f517fae5acf8d947d]

dr77: rebase to DEV300_m88


2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [b9ad33835fa0d79ae56b48fabfac8ae6e51afaf4]

CWS-TOOLING: integrate CWS perftest12


2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [40a9a758f2e64f706505bbbeff79f1ac11883742]

CWS-TOOLING: integrate CWS sb126


2010-09-28  Vladimir Glazunov  <vg@openoffice.org>  [11a5f0bc62708cad544ef28d1cd8d73898aab41f]

#i10000# changes from OOO330 m9


2010-09-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b8926687a5dceb7e5f15924c99dffdc57fa872c1]

Automated merge with http://hg-lan.germany.sun.com/ooo/DEV300


2010-09-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [63f792b426b003ae68a0c8223f1ba20a45d12c5b]

automationdev300m87: #i112208# - And reverted last change - debug is off again.


2010-09-28  Petr Mladek  <pmladek@suse.cz>  [4d81776246a8343ad6eb0d4a56ae866a977ddec8]

Version 3.2.99.1, tag LIBREOFFICE_3_2_99_1  (3.3-beta1)


2010-09-28  Thorsten Behrens  <tbehrens@novell.com>  [9800c4dfbf86204b30e7d4fd5730fb4e9adeb5f9]

LibreOffice branding: make smoketests work


2010-09-27  Mikhail Voytenko  <mav@openoffice.org>  [4a051b1b4ea5376d032bb9240f739b7ae7fe68d0]

fwk149: rebase to DEV300_m88


2010-09-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fecd0cefcef50f140d2bc02cef83fd5e54bea742]

Resolved conflict by accepting all changes from remote, changed back hFileOpen() to hFileOpenLocally(). Needs to be checked


2010-09-24  Mathias Bauer  <mba@openoffice.org>  [79ad62826aa25871f67746f6c3f20ce6529d74b7]

CWS changehid: sym prefix removed from commands


2010-09-24  Mathias Bauer  <mba@openoffice.org>  [2b44fc297f5ff053d80fb00e0789761d992df5cb]

CWS changehid: some manual fixes due to wrongly written identifier names in original files


2010-09-24  Mathias Bauer  <mba@openoffice.org>  [6f49da4e633e6bbb917be9fc922851c3634553bd]

CWS changehid: need to go back to slot for uno commands that shall be executed with parameters as old testtool can't execute them; this compatibility hack can be removed once autotesting switched to new testtool


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [57c749996a838a3b56ad2917c656b865880d5fd6]

CWS-TOOLING: integrate CWS ooo33gsl09


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [ce128ead797bbc0bd5a2d83bb1fea764a64a4ff2]

CWS-TOOLING: integrate CWS automationooo330m6


2010-09-24  sb  <sb@openoffice.org>  [d2452c009cd7fe392d3f81a5c4f9d2fdcb1c941f]

sb132: #i97025# removed cut/paste test (using system clipboard) from smoketest


2010-09-23  Mathias Bauer  <mba@openoffice.org>  [96d5cf00bd73cdcfba4a5acec32b82b7c9f8b574]

CWS changehid: use sym: prefix to silent search in hid.lst


2010-09-23  Noel Power  <noel.power@novell.com>  [52693e0143e86486db2ab5a0b4f30e1584fb90fa]

tweak smoketest doc to explicitly use Bibliography


2010-09-23  Wolfram Garten [wg]  <Wolfram.Garten@oracle.com>  [9c7ffe826f7d855fd7de6884364c3b843c42c20a]

i113714, adding SL language to INC files for g_spellcheck


2010-09-23  Lars Langhans  <lla@openoffice.org>  [0f34a2b5a2a50a4441e35e262fde187e790a7405]

perftest12:#163613# cleanups for O3 usage


2010-09-22  sb  <sb@openoffice.org>  [f509da6e63b4347edb7c93f1c0e91017b6127c35]

sb123: merged in DEV300_m88


2010-09-22  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [7a95ba157118794c1acd1c220e03283385ad0940]

dba34a: pulled DEV300.m88


2010-09-22  sb  <sb@openoffice.org>  [f4506b0b9cffe7503d361624cb92305c5ce7c7db]

sb126: merged in DEV300_m88


2010-09-22  Thorsten Bosbach  <tbo@OpenOffice.org>  [243efb1198ce4d340d3a9909dda9a1b711d9fa66]

#i114526# reenter dialog for other buttons


2010-09-22  Thorsten Bosbach  <tbo@OpenOffice.org>  [f239b01a95585a60d13fcc2548e5323403ea6e90]

#i114526# using rtrim now


2010-09-22  sb  <sb@openoffice.org>  [def812947147e593a16e65be173909f6f7530a00]

sb132: merged in DEV300_m88


2010-09-22  sb  <sb@openoffice.org>  [936c25d9a37f36835e613214a992b8e48c148a51]

sb129: merged in DEV300_m88


2010-09-21  Mathias Bauer  <mba@openoffice.org>  [86f182e2dbf5e98cfb501cd4d262677ae3ee1809]

CWS changehid: use new strings HIDs


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2d6351ce73e43206130579e605fb8e860aac1cf9]

dba34a: merge


2010-09-21  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [97f216bed9686e15b7a9bedcd6342469900606e5]

dba34a: merged latest changes from CWS dba33j


2010-09-20  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a9b3261be3665dfe2e324bbd42c933fea6f77e9e]

dba33j: merge after pulling OOO330.m8


2010-09-20  sb  <sb@openoffice.org>  [79e5af71e103bc6dd3a0d2957870fc6cfc8adfa8]

sb123: #i112986# fixed merge conflict


2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [fbbe60b3c7abf363c9de533ba94199f4cd50c277]

CWS-TOOLING: integrate CWS impress186


2010-09-17  Petr Mladek  <pmladek@suse.cz>  [8f84f9f66adbdaa5a2eed261f62866d518bd62b7]

build-java-target.diff: allow to define java target

i#93115
allow to define java target, so the build is usable with the JVM 1.5
even when it is built with JDK 1.6

2010-09-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [311f9a7d22aeeabc35df34d300ec5873a2779c60]

DEV300: changesets OOO330 up to m8


2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [956e2e792f58ed207899aa1bf943c11071e97177]

fit-list-to-size.diff: Shrink font automatically when text overflows.

i#94086

Scale-font-down if typing text in Impress and the text box becomes too small.

2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [35571759795f72ac99ca033364498f27211e015e]

Update .gitignore for Windows builds


2010-09-16  sb  <sb@openoffice.org>  [30b62a3eced27f4ed934c06b27acf9cbf410ff9d]

sb126: merged in DEV300_m87


2010-09-16  wg111939  <wg111939@sr1-eham02-03>  [344b221d146db7aa060dd977584dd980ce2ca914]

i114543, deleting useless parts in g_tools.inc


2010-09-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fb055cd17b1a1cd933f7ef6db890fb170ef04855]

automationdev300m87: #i112208# - Debugging test cases: Enabled debug output for hFileOpenLocally() by default


2010-09-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b42996527d1c00f45a5fa114354784c1c9ad5a2e]

automationdev300m87: #i112208# - Put path into a variable, delete file before usage, removed unnecessary UCASE() statements


2010-09-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8a739601895a8a53093757d81b5456dd7526ac64]

automationdev300m87: #i112208# - Fix one of my favorite & is not = typos.


2010-09-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3e8bb536a504a97014842e9f13ed530ecdc77a05]

automationdev300m87: Local merge


2010-09-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fa3010e7d89620d6361a76db286cbbc208c73c21]

automationdev300m87: #i112208# - Do not reuse existing local file, warn instead.


2010-09-16  Thomas Lange [tl]  <tl@openoffice.org>  [7e6f2129d254d65af254e9fdff9f4dbdf9bd93e3]

cws tl82: merge


2010-09-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1d08637288bd41f6ab76363e5d74055bcde29e5a]

automationdev300m87: #i112208# - add try...catch and a warnlog.


2010-09-15  Petr Mladek  <pmladek@walk.suse.cz>  [8fb77ce85f51282fbb513e170db5011b3cc1f4d8]

Release ooo-build-3.2.98.1, tag OOO_BUILD_3_2_98_1  (3.3-alpha1)


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2f3d7e00404e094d9c8edbc1b9a7798c71b70023]

automationdev300m87: #i112208# - Cosmetics


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d1f4e96ee58386644a22141c70585732916f134d]

automationdev300m87: #i112208# - Reverted hCloseDocument() to its old form. The extensions are no longer required


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0163059274386f97b716623021d4b766681b8a43]

automationdev300m87: #i112208# - Moved static filename into a variable, handled Picture dialog


2010-09-15  Thorsten Bosbach  <tbo@OpenOffice.org>  [030ed045ca26dbedc54cfbf50bd3037e9236ac61]

#i114087# fix decleration for VCL TestTool


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [078b00005f2e8f28c76b291bf6049561da8a1c5e]

automationdev300m87: #i112208# - Supplied missing variable


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a608d5328c7ab50d21fafcd0e01e99748040512e]

automationdev300m87: #i112208# - Modified tDocumentFilename and tDocumentTemplate to make them compatible with hFileOpenLocally(). Need to verify on Windows though, Linux is good.


2010-09-15  sj  <sj@openoffice.org>  [ce884ce321e5e679afff9e0a926dafe4617e8b0c]

impress186: #i114271#, [Automation] Adapt export tests to new dialog


2010-09-15  sb  <sb@openoffice.org>  [1d3ce8970bad97133cd5ba4b98040fb98ff49d14]

sb129: #i113189# cleaned up makefile rules; deliver services.input to have it modifiable for special one-off products


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [96c769a18044baf675175d5a2a5d8f91d28275ce]

automationdev300m87: #i112208# - Added a ConvertPath() to hFileOpenLocally() as it might happen that the path is passed in wrong format.


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a431171b0e053a1c8d2a71578be44b1aacf140bb]

automationdev300m87: #i112208# - Modified one test case to copy all files from testautomation/.../input to the local work directory as some files rely on others which are expected to be found at the same location. hFileOpenLocally() cannot do this as it does not know of dependencies to other files.


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9c821b92428d5921013d07e62d3934d4d7fe496c]

automationdev300m87: #i112208# - In some cases it is required to copy a list of files from testautomation to the local work directory. To make this as easy as possible i added two functions: hFileGetLocalPath( file ) which returns the fully qualified path that the file is going to have when copied to the local user directory and hFileListCopyLocal( list of files ) which copies a given list of files to the local work directory.


2010-09-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [eda0bbcdbeb3277ceddbb78b05ef161591440926]

automationdev300m87: #i112208# - Some test files rely on other files (e.g. for embedding) which must be copied as well. If the referenced file does not exist we get a warning that the document could not be found. In the current state of development this is bad because the dialog cannot be handled. So i added another dialog to hCloseDocument() which can be closed with either YES() or OK() while issuing a warning.


2010-09-15  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [0ae2ba8a9641d5ba308d3181d0e0e605a50e14b7]

automationooo330m6: #113576# update report builder oxt


2010-09-15  Helge Delfs [hde]  <hde@openoffice.org>  [a33f8ce24e3b406ce8e741c51b1cb0828c0cbc73]

automationooo330m6#i114143#added line break


2010-09-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a3fa5722d4f78231d50f0d6d7a51a158c0c7eb40]

dba34a: let the state message for incomplete tests end with OK - otherwise, some weird code elsewhere interprets it is failure


2010-09-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8c99725f06e15d14a06427dc8f5d2f2c14259575]

dba34a: properly close the connection, and survive (without error log) if there actually isn't a connection


2010-09-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [684f47953b31b15e207a58f52ac4ec14c95917c3]

automationdev300m87: #i112208# - Revert all to hFileOpen() in all the places where we are working on a local context already.


2010-09-14  obo  <obo@openoffice.org>  [86cf84665ed50d96a0feb42d86248e583e59949d]

CWS-TOOLING: integrate CWS dba33h


2010-09-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9ba4a3f5c37faabd8254140c4d8aa36e98b7fa47]

automationooo330m6: Local branch merge


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f837ce209bec6f6f11ef14e540bfc19d846077cd]

automationdev300m87: Local branch merge. Title: Bosi, now you die!


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b7a7492610e56cf48cd856350bfd2e6506d61990]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() and affiliated functions from global, removed any calls to these functions


2010-09-13  Thorsten Bosbach  <tbo@OpenOffice.org>  [bd87408b6349187767a84c39c5f1362e0c25a6d7]

#i114476# No testing for Mac as some Window attributes do not exist


2010-09-13  Thorsten Bosbach  <tbo@OpenOffice.org>  [5b7d21ef853b8d643dbb152fca11a84533987a6b]

#i114474# add a sSelectEmptyLayout()


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a9d6ef38c0a136777d6eee5af518aa28ac9ec5b2]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() calls in module Writer - Mass renaming/Deletion. Might break things as this was a batch job.


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cd143a41e71cdfb5aa0225c3a442ae7e6aa3fe32]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() calls in module Writer/Optional (partial remove, many more to go)


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ff81b9a0268ebf4ccb19a9527c4a15a4120f932f]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() calls in module chart2


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f9b898589a98d32e388979b8a08ad23a84d0c99a]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() calls in spreadsheet (3 were not fixed in first round)


2010-09-13  Lars Langhans  <lla@openoffice.org>  [fdd897fcda6278d70ef363c0489a4b7f4c362633]

perftest12:#163613# Performancetest cleanups


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [85609a126ab3350a59268c87887198606acaa399]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() calls for module framework


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [091be2bc2163250df1184e676d1876d8bc44a81b]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() calls for all remaining areas in module spreadsheet


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [65d5f28cdaa00e7a5f279e2b261e1b918fb1183c]

automationdev300m87: #i112208# - Eliminate sMakeReadonlyDocumentEditable() calls for spreadsheet tools


2010-09-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [799ffaad9ef100bb131932daa3a26fe96191b975]

automationdev300m87: #i112208# - Changed all sMakeReadOnlyDocumentEditable() statements to hFileOpenLocally() in Spreadsheet update tests


2010-09-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [50353abbfe9e138ac4ac1e015f8492664c9cd873]

automationdev300m87: #i112208# - Polished some comments and added usage information at the top of the function.


2010-09-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fc739dead724a3352e0467dce3a483b0c829ac03]

automationdev300m87: #i112208# - As discussed on IRC we reuse an already existing file instead of deleting/copying it anew. Saves time but also carries a certain but low risk.


2010-09-10  sb  <sb@openoffice.org>  [07fac3bc9b5148e45a437fa9ca8373c6e28a9a94]

sb129: #i113189# change UNO components to use passive registration


2010-09-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c59e8171e63a1b09e7b060ada2ac71a3efa596f3]

#i109933# - Convert LF to CRLF


2010-09-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [609e5d8323b4a5012e3ff62b68949292fdc6d220]

automationdev300m87: #i112208# - Make Warnlog to a QAErrorLog for overwriting files


2010-09-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7184d61c8eceeb1665a71dee43f87950763e8028]

automationdev300m87: #i112208# - Maximize verbosity, for some reason the split-function fails


2010-09-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ddb08a38deef9325ac6475d58982a0758ca7765b]

automationdev300m87: #i112208# - Test some more functions in w_007_.inc


2010-09-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [95706026bb07633736762208cb1f4e942cf74a1c]

automationdev300m87: #i112208# - Fix two fatal typos


2010-09-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [abd90c9777663d37947bc3a6314f064ffe73e78a]

automationdev300m87: #i112208# - Added more comments to ease understanding the purpose of the function, removed unnecessary exit function statements


2010-09-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1b5275f58c5d0c2bf42ac065e22d357fbae3dad6]

automationdev300m87: #i112208# - Change one single call of hFileOpen() to hFileOpenLocally() for testing purpose


2010-09-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6a0f9f6faa94d58b1d71baa607e8994027651c1a]

automationdev300m87: #i112208# - Implemented fuction to work with a local copy of a file which resides anywhere else in the filesystem. The file is then copied to the users work directory and opened from there. This is experimental and the function needs to be called explicitly. The function is another workaround for the paramount problem that we cannot reliably switch a readonly document to edit-mode. Used the opportunity to introduce a new global variable (and fix the case of others, as they are not constants as they were initially planned to be)


2010-09-09  Oliver Craemer [oc]  <oc@openoffice.org>  [5851612e4b450e268280cb793757e816a9e31858]

#i108814# Warning in w_updt.bas in tInsertComment


2010-09-08  wg111939  <wg111939@sr1-eham02-03>  [b842423c7913b36f51d839b3f23cecf400ba8699]

i114404, correct errors in i_us_presentation.bas


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [a5bb7c0e0edea0fe3b7ac93103ab4687ab12236c]

Merge commit 'ooo/OOO330_m7'


2010-09-07  wg111939  <wg111939@sr1-eham02-03>  [319e9e7b82c3df4a75c01d1f66c80d7a1d1506dd]

i114370, adding wait to g_demoguide.inc


2010-09-07  wg111939  <wg111939@sr1-eham02-03>  [25de2ffe173a438fbaaf2b0b86e9c0d232dd5fcc]

i114367,  [Automation]:ing callsSelectEmptyLayout to g_edit.inc


2010-09-07  wg111939  <wg111939@sr1-eham02-03>  [2e9bda93d20c80188cd6a932847b6cbdcd7119ea]

i114289,  [Automation]: Adding sleep to sub loadgraphic


2010-09-07  Oliver Craemer [oc]  <oc@openoffice.org>  [4f2c069d6a589038456c929ef332f833ffa4505c]

#i114364# [c_updt1.bas] has a warning in tFileOpenCSV


2010-09-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [940658d2d0b0e1f5d4c63c54a1e6fe1e85801e78]

#i109933# - Converted file back to DOS format containing CRLF. THis is required because OOo otherwise cannot correctly determine the file type


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [93de5db112e44e18dcf4903e5f7813331c8c8f0d]

Merge commit 'ooo/OOO330_m6'


2010-09-06  wg111939  <wg111939@sr1-eham02-03>  [c06c9f5da355a53e17d4679e5950fc11d7049bb3]

i114347,  [Automation]: Adding sleep to sub loadgraphic


2010-09-06  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [97817c829106dae290179f50453892e41a70d7f4]

dba33h: #114249# fix testscript to work better


2010-09-03  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c75544e810dd74108f724a75ba281cafb8e0bc86]

merged in latest changes from CWS dba33i


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [fcf1d5f09ef03b29295858bf151c82edf3f46da6]

CWS-TOOLING: integrate CWS fs33a


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ff834091b891920a3a731d0f41601bf780c2bf58]

dba34a: merged in CWS dba33i


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [d6b24e0c5cd62cd3fc3f943825440df09e37dbce]

dba33i: merged latest changes from CWS dba33h


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [b2903869e43c6bd909e02c85bb44635c815b6fa7]

dba33h: merged latest changes from CWS fs33a


2010-09-02  wg111939  <wg111939@sr1-eham02-03>  [38c29618b29d58f8542f44a31e57f786c8caba20]

i114271,  [Automation]: Adapt export tests to new dialogs


2010-09-02  wg111939  <wg111939@sr1-eham02-03>  [39936b94512956b8ed3ad1b88311414242aefb24]

i114271,  [Automation]: Adapt export tests to new dialogs


2010-09-02  wg111939  <wg111939@sr1-eham02-03>  [68a49f4527b1c7a3f662f3313d6d98583ed1d9f4]

i114271,  [Automation]: Adapt export tests to new dialogs


2010-09-02  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [507ac228c6bf71f1ff4254fb88102ff95c258ad0]

fs33a: #114249# fix testscript to work better


2010-09-02  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [06f28426fee151264c53cac612b16c22d19d13cb]

fs33a: #111181# fix testscript to work with the correct message box


2010-09-01  wg111939  <wg111939@sr1-eham02-03>  [8563654f2449164a6a49d0db87dcdb861d91e26b]

i114250,  Adding call sMakeReadOnlyDocumentEditable into ToolsThesaurusContextMenu


2010-09-01  Oliver Craemer [oc]  <oc@openoffice.org>  [976a9b7a5b4f3ca3ff25b8f1f652d3b4a07d2a30]

#i114143# [c_updt_2.bas ] tToolsLanguageThesaurus : replace with is not filled


2010-08-30  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [bf45fccb25edf97533deef947f3e978084e680db]

dr77: rebase to DEV300m87


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [23dd1bfdb07544eba67c7e889481625825f93c40]

dba33h: merge after pulling DEV300.m87


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3fbd0a9f4bd6912f86cd9856b1f1285bdc4df2d1]

dba33h: merge after pulling OOO330.m6


2010-08-26  Ivo Hinkelmann  <ihi@openoffice.org>  [80db5377a1a79094079408b6a75087fa4f104d96]

CWS-TOOLING: integrate CWS automationooo330m5


2010-08-26  Vladimir Glazunov  <vg@openoffice.org>  [b30b550611dc4ec6a6fbad5299ac9a54639f4030]

CWS-TOOLING: integrate CWS automationdev300m86graphics


2010-08-26  Vladimir Glazunov  <vg@openoffice.org>  [3cf1d3b84582a4078db2a89602826ce039d35935]

CWS-TOOLING: integrate CWS automationdev300m85


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [9f0cc5e4fb8645086e7947c974c028c6732f4030]

CWS-TOOLING: integrate CWS cmcfixes77


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [a10a4b2bd1a2d9fc9dcfcf85a288cb919f08841c]

DEV300: changesets OOO330 up to m5


2010-08-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [29ef16907325c014fd8cc1757db7ade62c908ad3]

fs33a: merge after pulling OOO330.m5's changes


2010-08-25  Vladimir Glazunov  <vg@openoffice.org>  [9622c1d2965649b4af1ed142e47dd9919fb3b93b]

automationooo330m1: dummy merge for DEV300


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [6903112d37b66edbea357f19c5a264e89947b69b]

Update .gitignore.


2010-08-23  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [489f574ebf6bfe148f2423d2450358eef59b10e6]

automationooo330m5: #113492# clear the layout and add one sleep


2010-08-23  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [c48e35b8155e5656b75c1edb2aad79dbb0714f95]

automationooo330m5: #114064# testcases did not work under mac osx


2010-08-23  Helge Delfs [hde]  <hde@openoffice.org>  [b41788e358841179335c871422c385d455a1eefd]

automationooo330m5#i113978#added exception loading file swdos.txt


2010-08-23  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [7a385baa1cf7b4490af7dfd84c9e145394634f18]

automationooo330m5: #114058# fix error in window_functions.inc


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [8127346c28936ed2c7810a13f2664427c99b26f7]

Create .gitignore.


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [c709b2226d41e3e6f2b60f3544a219929189f651]

CWS-TOOLING: integrate CWS automationooo330m4


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [5f639d9f2ada0416978d79ccb3e2e3b71f5f685a]

CWS-TOOLING: integrate CWS automationooo330m3


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [71d13e2ad9da212e726215cc2191ae17ceb06d89]

CWS-TOOLING: integrate CWS jl154


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [da3ffcb831cb64e87b9ee2bf8fb1c89ce9113252]

#automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [9e533cc91d31304945d676e0e1ea31ec9191013b]

automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [95ad690fc4cabf4e104dc7125f9f81067899b30a]

automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [6c9e92a8fb6d5ae4117ef2320aec0f6b4cb1e2c7]

automationooo330m4#i113928#adding SL language (50) to writer testscripts


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [ebb6814df9bffe5731ea401c39b4b05863104819]

#automationooo330m4#i113911#warning corrected


2010-08-18  Helge Delfs [hde]  <hde@openoffice.org>  [a4c4dfc14c78c6e870c52d1d89a19707f8b9775a]

#automationooo330m4#i113911#warning corrected


2010-08-17  Helge Delfs [hde]  <hde@openoffice.org>  [cdbbe882780ed9265ccd32d283086a065dd41af3]

#automationooo330m4#i112568#warning corrected


2010-08-17  Helge Delfs [hde]  <hde@openoffice.org>  [407625d428d22320e165aae3fe0dd2cd585af5d9]

#automationooo330m4#i113602#warning corrected


2010-08-13  sj  <sj@openoffice.org>  [6185727974d659e2a844ac8228caf586cc83015c]

impress186: merge with DEV300m86


2010-08-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a759c377540326db0c6e247ca9e3fb54af4c4728]

fs33a: merge after pulling OOO330.m4's change sets


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [24b4066e40ce5c1c8ee6818c0f6c96a6bcb5c9f3]

automationooo330m3: #i113680# - Cannot do without wait-statement. Bad, that is.


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [de366323d50b38131d5b4d2851011cf7f4d8330f]

automationooo330m3: #i112026# - Findbar integrated into w_updt.bas (w_020_.inc)


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8bb91b1252ca777224d8485dd275e5d0a314805c]

jl154: #i113786# - Extension Manager is even slower. Inserted Wait( 2000 )


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7cd7454efd258ce52cdcd694958aa9c344e767db]

automationooo330m3: #i107408# - Number of samples has changed: Old 60, new: 56


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [64e578d7fec1f593284de8e40bfb628c21353f4d]

automationooo330m3: #i110184#/#i113761# - Changed handling of messageboxes, made QA-ErrorLogs from Warnlogs, the test is now again functional.


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4a08a4c137c5ed160c672daf70536729fbf4c5c2]

automationooo330m3: #ii113764# - Moved check for binfilters to external function, too much duplication otherwise


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [24a35c0e03ce3ab68230cfa01c2044940d5509fa]

jl154: Local merge


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [672c69b6200defb0de8a81651296786ce8030b53]

#i113761# - Used opportunity for minor refactoring


2010-08-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fe3c2b1418c5ffa4cf636b37902d1d3fae8736f5]

jl154: #i113786# - Removing installed extensions fails because the extension manager has become somewhat slower. Use hCloseDialog() to close the extensionmanager and use a few waitslots should fix the problem.


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3178ae304383a1dbfef2c1baf33057a4394ea216]

automationooo330m3: #i110184# - Re-enable autotest, need to check problem with unexpected messagebox though.


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c3aeab25e9e57e1e06b07846121fe549c54ad55a]

jl154: #i113786# - Inverted logic


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8ebf3c83f00b00fa5636d5d26152b211ca45209c]

jl154: #i113786# - Fix incorrect warning for non-executed basic script.


2010-08-11  wg111939  <wg111939@sr1-eham02-02>  [8e686bc9008e258acfe3741e9dcb15cbb1996ea4]

i113795, redesign i_us_present.inc


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [c4b994d83a33a501d38e12638e2bfbd06e0532fa]

CWS-TOOLING: integrate CWS sb128


2010-08-11  wg111939  <wg111939@sr1-eham02-02>  [7c468e3ed6825d94f713dcaea04ce166b5a4602c]

i113795, redesign i_us2_present.inc


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1508081a23b453cbade8e6cd435824bc7afc42d7]

jl154: #i113764# - Check for binfilter, fix syntax error


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [166956fb79abf4472bd130c8b3c968d25a42d5bb]

automationooo330m3: #i113764# - Check for binfilter, fix syntax error


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b54b098b4584f30fd9b324c32a55ec34d9eeb900]

jl154: Local merge


2010-08-10  wg111939  <wg111939@sr1-eham02-02>  [d3f807f203b1217db9ff16a7dac23cef9689664b]

i113769, adding call sSelectEmptyLayout in g_edit.inc, EditObjectEdit


2010-08-10  wg111939  <wg111939@sr1-eham02-02>  [5c8f6c7985b6132a8ff4819edd7bf9a36a86b011]

i11376,insert sleep after call hGrafikeinfuegen in id_tools2.inc


2010-08-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [72759a9b9addc45097e7b9a72b8cdcd88606fc70]

merging in latest changes from OOO330(m3)


2010-08-10  wg111939  <wg111939@sr1-eham02-02>  [9c0a4fd10ec6aeabe1b0865cb41cc3c498bff816]

i113767,restting to old version of function again.


2010-08-10  wg111939  <wg111939@sr1-eham02-02>  [a6658ca699664133baa0cd6f8a0905a825216937]

i113766, inserting Call sMakeReadOnlyDocumentEditable


2010-08-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ee5edffab22181544008820cf10ec7ced2ae02fb]

automationooo330m3: #i110184# - Document load fails when loaded via API. Real problem is that ConvertToURL is called twice which adds another two slashes to the URL which then again cannot be resolved by the API call. Another issue has been filed for the root cause.


2010-08-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a5c692981d23e33fd82f36f85f3895cae9fa2bc3]

automationooo330m3: #i113764# - Check for binfilter


2010-08-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf0dc78d1e1ecc6f3e208f642c303884c0b12b97]

automationooo330m3: #i113761# - Product name missing for backing window (#i113760#)


2010-08-05  Thomas Lange [tl]  <tl@openoffice.org>  [1549cd28b9269c125b6c243f2be272ed51f3e1cc]

cws tl82: merge with DEV300_m86


2010-08-05  Daniel Rentz  <dr@openoffice.org>  [a84e8a4a1c4b87945b7ece46cc501448b2e76496]

dr77: rebase to m86


2010-08-04  wg111939  <wg111939@sr1-eham02-02>  [4014798c0cd14c1ec24bdafa1f925d1f891a7813]

i113635, resolving load SlideDesign Delay


2010-08-04  wg111939  <wg111939@sr1-eham02-02>  [59666951d95ecd8dc5ba5b8d71abc2368846ef1e]

i113612,adding call sSelectEmptyLayout


2010-08-03  Thorsten Bosbach  <tbo@OpenOffice.org>  [0303b0d184f0f1a4c84a8ad776e9f0bcb5369b98]

#i113609# sleep is needed after loading document to give time for macro execution


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [459862c8841af9218282636e89d6ea8e8f900f5f]

CWS-TOOLING: integrate CWS automationooo330m1


2010-08-03  Oliver Craemer [oc]  <oc@openoffice.org>  [49f475ad820c8a89dddfcadef696123254ad2cb4]

#i113618#: [Automation]Functionnames.ods does not cover all functions


2010-08-03  Caolán McNamara  <cmc@openoffice.org>  [aa39a816a4030aba7198125f693ee37c95073d62]

cmcfixes77: merge with DEV300 m86


2010-08-03  Caolán McNamara  <cmc@openoffice.org>  [479b6371eee5545e45cf2e8ea5cafac335016b10]

cmcfixes77: #i113503# system non-stlport cppunit with OOo stlport


2010-08-03  Thorsten Bosbach  <tbo@OpenOffice.org>  [6d5ca594e7f653f6df63e574b64e4dbeca9c4d91]

#i113609# count the extensions...


2010-08-03  Thorsten Bosbach  <tbo@OpenOffice.org>  [af2adb81374506e65670e7528764294da2b9ff25]

#i113609# no graphic function toolbar visible - workaround


2010-08-02  Joachim Lingner  <jl@openoffice.org>  [789aaf328787e321b3fb409c20ee3fbae248b11a]

jl154 merging with OOO330m2


2010-08-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [23ae9f2ef400224eb7753fc3a3b269d726b2eaaa]

#i113581# at least the syntax check does not complain anymore


2010-07-30  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [69c5f1059605c4e869857e56e624c117cd8e5c5d]

automationdev300m85: #113549# refactor id_tools_2.inc


2010-07-30  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [8ef1b840974fde182a2457a39151b7296a7bd155]

automationdev300m85: #113548# refactor g_spellcheck.bas


2010-07-29  Oliver Craemer [oc]  <oc@openoffice.org>  [373a98d8551c9d1a1a8568e307a90659e868af14]

#i113522#: [Automation][c_updt1.bas]Solaris timingproblem in tFileOpenCSV


2010-07-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d8250398703575cd55adcdcdf4c3d0eeb4bd211b]

jl154: Local merge


2010-07-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8db5176aa54b7e00540a4e54549e5715aa734320]

jl154: #i113520# - Made icon counting a little fuzzy by adding two more optional items to the count for the Weblog Publisher extension.


2010-07-29  obo  <obo@openoffice.org>  [910891a2aa19ce0134a77c7e7cb1520f0ea43b9e]

Integrate OOO330_m2 into DEV300 (merge)


2010-07-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4903a0f56e153c4b82d66d48428994f155782812]

automationooo330m1: #i110184# - Excluded test due to failure to load documents containing macros using API call/Slot


2010-07-28  Oliver Craemer [oc]  <oc@openoffice.org>  [da192b765c58a3828e19ee93b503252e06901507]

#i113495#: [Automation][ch2_]XML_format has warnings


2010-07-28  Oliver Craemer [oc]  <oc@openoffice.org>  [9d9cc4b584e14d9cc60a87c3e1facf0541ca955e]

#i113495#: [Automation][ch2_]XML_format has warnings


2010-07-28  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [abf89a90b3f546a7639c78f00066a8f79bdb87ea]

automationdev300m85: #113492#


2010-07-28  Thorsten Bosbach  <tbo@OpenOffice.org>  [95226c07010175904ab827930e29407a89c6e175]

#i113467# migrated fixes from OOO330 cws


2010-07-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5b52bf66ec219e65a1a606c9fd893b61554528f7]

jl154: #i113234# - reference list for OOo/Windows


2010-07-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3919ff776c7a55188c7196fb483c17ddccace28c]

jl154: #i113234# - Updated documentation in helper function hManageComaprisionList(), more instructions on what to do if the lists do not match.


2010-07-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2383397cbc663e15a21a0b21db5f5a3b31f6a746]

jl154: #i113165# - Removed semicolons from script URI, now we can use simple slots to call BASIC wizards


2010-07-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [88d178de89cd065314613adc8fcf34410fcba0d2]

jl154: #i113234# - QA uses installation that differs from default, removed three entries from lists


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3ea8d8403f3fd1cf5c73c80b2660e460edf7c206]

jl154: #113234# - Scripts for MacOS X - OOo


2010-07-26  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [0f52dd6bfbe3abb7f4156510d8937e0124da8cdd]

automationooo330m1: #113339# disable mozilla test on mac


2010-07-26  Oliver Craemer [oc]  <oc@openoffice.org>  [644c7b29c6dc344a6a11b70bd338ea8d2ad72210]

#i113305#: [Automation] changing warnlog to qaerrorlog for greenstate in Spreadsheet


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7d7d49bf8fb5353aeb115e3cf650e97406eea851]

jl154: #i113165# - Removed no longer needed helper functions as we do not test menus anymore


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c4a5ae9e55a1bf4b53701dfcc4ef7a338506dd30]

jl154: #113234# - Scripts for MacOS X - OOo


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cb338cba6b40595b01c81ece94c5f5bcb1cba282]

jl154: #113234# - Scripts for MacOS X


2010-07-26  Oliver Craemer [oc]  <oc@openoffice.org>  [566d7c1ea93c55fbdfbd942b3bdf13b10b681879]

#i113305#: [Automation] changing warnlog to qaerrorlog for greenstate in Spreadsheet


2010-07-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [368d48c83e15fdb1914854f4ecbc6c0db951d26e]

jl154: #i113165# - Try to use sym-slots in e_all.sid to start basic wizards.


2010-07-22  Joachim Lingner  <jl@openoffice.org>  [e4ad3b76e75a20bff9413ab3e510a67afcd0063a]

jl154 merging


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bd7a4412380b84a533d30ec513c604ef15940677]

jl154: #i113234# References for Windows


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [225861a5480dff1f7d232290217ca89f15d1049c]

jl154: #i113234# Platform differentiator


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [01856088b83d063bdea90d59356ebc6253902a52]

jl154: #i113234# Re-enable warning


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3a2fdcaa8b00da59391639d26fa79652e228a8f4]

jl154: #i113234# Just another way to differentiate between brands, builds, platforms etc.


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [0f8bd51705e6fcfe634212b021efbd74508f23d7]

CWS-TOOLING: integrate CWS automationemailchange


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2ba2be4565252dd0f0cf9855d78b637952f613dc]

jl154: #i113234# fixed a jurassic bug in hListCompare() where the returnvalue was determined using an incorrect array (list two should be evaluated)


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [956269cc7090506132e5a668f8738a0d8570c1c9]

jl154: #i113234# provide warnlog


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f7cb73c509968716320a63a5d5549da2e5505a2]

jl154: #i113234# Removed platform strings from reference list filenames


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c09b13fab0ef9126d0bd08d6df7b40ac2294300c]

jl154: #i113234# Removed duplicate entries from reference lists, updated test to avoid those being created.


2010-07-22  Mathias Bauer  <mba@openoffice.org>  [8fff02e90a03d60c3c8a0b1e60ca2e87a93bc7a8]

CWS changehid: resync to m85


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f61d68fcea7296bd72c17e002e88f8b6a1646dc0]

jl154: #i113234# Implemented function to retrieve script names from dialogs that hold separate lists for modules and scripts. Removed gPlatform part from filename, it can be added by a script maintainer if need be. It is already used on osx, further differences might exist on WIndows. This is a TODO.


2010-07-21  Oliver Craemer [oc]  <oc@openoffice.org>  [fa353fb4bb387c73661e06c05d021807f9303a6c]

#i113305#: [Automation] changing warnlog to qaerrorlog for greenstate in Spreadsheet


2010-07-20  Thorsten Bosbach  <tbo@OpenOffice.org>  [766ea9baedcc2985d9714e3547beaa8ab32dbb97]

#i113290# again teps


2010-07-20  Marc Neumann [msc]  <Marc.Neumann@oracle.com>  [23eec158d1e8ccd946720b6d9663b5e1a6ed519a]

automationemailchange: #113281# change email header to oracle address


2010-07-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [12a6d4b2861615f453eeef3fff033fefd3b839df]

jl154: #i113234# - Added first set of reference files


2010-07-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [13667c23499d1dbaae7d634201bb75de8a0bc953]

jl154: #i113234 - Fixes to path creation (double slashes removed)


2010-07-19  Mathias Bauer  <mba@openoffice.org>  [17474d0c1c910c4818d5d76cb5bf4470774a1ca4]

CWS changehid: remove code dealing with obsolete SID_INSERT_APPLET


2010-07-19  Thorsten Bosbach  <tbo@OpenOffice.org>  [061e5a18a7f07b9c0cad1972aa9e835ae25c3a81]

#i113248 fix tablecontrol test


2010-07-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f11221dad7409cea010964bc63b1589dff960680]

jl154: #i113234 - Added vnd.sun.star script URI instead of old macro URLs


2010-07-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2b9e319bbf72e46feeff11e7fe1a6dea136ede18]

jl154: #i113234 - Reworked tests that chaeck presence of scripts, implemanted compare functionality to ease finding lost scripts


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [e7f4016e390cd2de2c87230b2a5d4529a94def99]

jl154 merging with OOO300_m1


2010-07-14  Kurt Zenker  <kz@openoffice.org>  [5e0b036b85f6268c8f676a12ebe06811880043fc]

masterfix: #i10000# add api-adaptions from cws jl152


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [32e32283f4a064f1a90e0c2269c9dc3feeb7bcce]

CWS-TOOLING: integrate CWS smoketest26_OOO330


2010-07-13  Mathias Bauer  <mba@openoffice.org>  [ca313c69fcc0d67ec9505dadf08194dd76148bd6]

CWS changehid: resync to m84


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [2a803af50aad2d3b05c04963193da9bbe762154d]

CWS-TOOLING: integrate CWS jl153_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [d83dc14b98596f32f2fe21173642041ba5a7cd73]

CWS-TOOLING: integrate CWS automationdev300m84_OOO330


2010-07-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [213213415ff48893b563c1aff3bebb433e8c958e]

native318: #i113044 - OLE names now have version number 3.4 for Oracle Open Office, OpenOffice.org and BrOffice.


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2cad12f82fc970f51e97692469364534025d3210]

automationdev300m84: Fix typo in .win declaration


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3747edd54647c59ad755f0488f6c854d98c2c8d9]

automationdev300m84: Removed merge markers at the end of the file.


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [699cfefb238a217b304fa3cffec43061dfd6cbb6]

automationdev300m84: Resolved local conflict


2010-07-08  Helge Delfs [hde]  <hde@openoffice.org>  [7a99f459715f4f736e63401a5d42d08fdd63a2f5]

automationdev300m84#i113030#removed warning and ignorance of testcase


2010-07-08  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [4e6f07d4a7fa59cd870ae66fad72790c16f9d41b]

automationdev300m84: #111330#


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f367f831403b250107fe12b245d89fe031f4d4d6]

automationdev300m84: #i112887 - The method used to close the hyperlink dialog was wrong. Another CWS brought the possibility to assign HIDs to tabpages so this can now be used. The HyperlinkDialog now has three buttons: ApplyButton, CloseButton and BackButton which can be accessed directly via the dialogs context. Requires a minor change to edia_d_h.win. Furthermore t_tools3.inc had a modification regarding the for-next loop's exit value and the test tInsertHyperlink was modified.


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4b0964adc5465206de81659d5781cb00d990183a]

automationdev300m84: #i112935 - Removed the invalid issue-ids from the test tFormatWrapObject.


2010-07-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf1861bc393214ce4d28c9c8e7d0d39b37fdf24e]

automationdev300m84: #i112935 - The fix is that i check for iRetries being greater equal MAX_RETRIES. This is against my understanding of the for-next loops internal workings but solves the problem.


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2adc5ddbc38e761010ff5ddeff4404263b5adbe8]

automationdev300m84: Local merge


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [803e393a70d10f1623fc43c5234194a5e2fa50ff]

automationdev300m84: #ii112847 - Fixed IsNamedDocLoaded by creating an exception list of suffixes which indicate a template being loaded. Not 100 percent safe but better than the old implementation


2010-07-07  Oliver Craemer [oc]  <oc@openoffice.org>  [66e278aeb9413a17902a151b5468a3e89e31544d]

i113009 : [Automation][c_upd1.bas]Workaround for tFileRecentDocument


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f53e17f165ebea820e2775faf7774f35565912f]

automationdev300m84: #i112987 - Fixed failing access to dialog.


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [255c4fb1cab91263d4b5f730c4d2ae3ffea73b18]

automationdev300m84: Local merge


2010-07-07  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6ff5b8b3880fadae57fe3a8867ff6d55f9e99f28]

automationdev300m84: #i112987 - Attempted fix for missing dialog (which is a fake, it just became slower)


2010-07-07  Oliver Craemer [oc]  <oc@openoffice.org>  [a58a0b3fe0fe7ee9f27fc84aecbf34f702732e65]

i112991 :[Automation]Chart could not be enabled due to Renaissance


2010-07-07  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [a441e49577ce24289640809aae1f99ec20ad5dd5]

automationdev300m84: #112990#


2010-07-07  sb  <sb@openoffice.org>  [232ae53f24a60c2e0a95e17ebabed4d486a3dd30]

sb128: #i112986# shifted relevant smoketest work to OOo main thread to work around potential deadlocks (transplanted from 5dc61b93c5ef2ed21e3d9532325b35a70fef18da)


2010-07-07  sb  <sb@openoffice.org>  [09efde031f4109890a5b5cf5de35321c106e2c11]

sb126: #i111184# introduced test::uniquePipeName


2010-07-07  sb  <sb@openoffice.org>  [2349437e64850b76edd984a0cef069b43c5a2cd1]

sb128: #i112986# shifted relevant smoketest work to OOo main thread to work around potential deadlocks


2010-07-06  Helge Delfs [hde]  <hde@openoffice.org>  [3da480c8819921444159dbdaef156d97e595d8f7]

automationdev300m84#i112973#exchanged hFileExists with FileExists


2010-07-06  Helge Delfs [hde]  <hde@openoffice.org>  [b1372a2ee8dd7a1136a0e5c020795f679eae7dfa]

automationdev300m84#i112954#added testcase to main sub and fixed missing hFileExists method


2010-07-06  Thorsten Bosbach  <tbo@OpenOffice.org>  [92b959de37ac40851b7a81505c749a3aa7a2b24f]

#i112967# be nice to unexpected extension tabpages


2010-07-06  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [5edb10d2f981af8236f4ce1ece36f31a68b2fb5d]

automationdev300m84: #112957#


2010-07-06  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [69c7345e2e7df14684eaed82e2f9c0f3ca902d5c]

automationdev300m84: #112957#


2010-07-06  Oliver Craemer [oc]  <oc@openoffice.org>  [e214cf32d1ebe9559dd8f9752b4699dafccfb2ba]

i102720 :[Automation][c_upd1.bas]crash in tEditImageMap does not occur anymore


2010-07-06  Oliver Craemer [oc]  <oc@openoffice.org>  [0b1cc595c2e6a71a94eab6cd43c2747b93dcec75]

i112923 :[Automation][w_updt.bas]Timingproblems on SolSparc


2010-07-05  Thorsten Bosbach  <tbo@OpenOffice.org>  [d5adf4cfc95e7e81050b7b383da937ea483f0b4f]

#ii112931# reverted back to last working file


2010-07-05  Thorsten Bosbach  <tbo@OpenOffice.org>  [0f29d4daaf151bfcd27420658abee2c1612f162e]

#i112842# reverted back to a working revision from CWS tl74


2010-07-05  Thorsten Bosbach  <tbo@OpenOffice.org>  [88ef82a701b66f753e718aed4aaed4b480363330]

#i64504# enabled autotest again for this fixed issue


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [121528fee00247f8517cfc313b0ebda9373bd108]

#i112897# typo


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [675438356926e1d69a45341be6052a125e24b3cd]

#i112897# added missing active.setpage


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [f439e18b26f996241198bdf71684eaccbaf21f58]

#i112895# regression in math with passwords


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [4814ef0513157b7efaf1f92c39c2733d2d86f673]

#i112893# added exeption for osx


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [ecf931370ce9e0341234bb69155f8b4b15a3ea5f]

#i112844# state is not entered in quaste database


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [8308a15cd6860647aee63952feed5ad9a6d7328b]

#i112888# gPrivateEnvironmentLocation feature broken


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [cb352aa688134eabf1b5dc6a9a5953e54a404ae0]

#112842# fixed: breaks with: unexpected symbol:..


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [bdd99b97c6adf1876a03be0f5ef359bc1e1738c5]

#i112839# fixed: else/endif without if


2010-07-02  Thorsten Bosbach  <tbo@OpenOffice.org>  [055b6b2486c0f94693e4409a1884c06dadfa46d1]

#i112840# removed, since not used in any test


2010-06-30  Joachim Lingner  <jl@openoffice.org>  [fb93fbde6aff942bc5a9904e70a210bb5e341d66]

jl154 merge with DEV300_m84


2010-06-30  sb  <sb@openoffice.org>  [94ac4fa1acb96cff2d844b7cdd9ca1168bd09073]

sb126: merged in DEV300_m84


2010-06-28  sb  <sb@openoffice.org>  [c42c89f46068bd5d911e36d71a81f3fa08bf2d3e]

sb123: #i112751# disabled testgraphical/qa/graphical for now


2010-09-16  sb  <sb@openoffice.org>  [b672459e84aea60642ea0b39f884ba288cfd9eb1]

sb123: merged in cws/sb126, to get fixes for i107490 and i113115


2010-09-10  sb  <sb@openoffice.org>  [96550e0a997e864fa2368c1ba8caca7d2b5a29e6]

sb123: merged in DEV300_m87


2010-08-23  Lars Langhans  <lla@openoffice.org>  [a8fa4e515ab889a46c13c81444332f8399052d7f]

sb123:#i111449# remove all subdirs in complex tests


2010-07-23  Lars Langhans  <lla@openoffice.org>  [af0a7d26a74f9f090d2d54a209521d647903b266]

sb123:#i111449# fix all run through problems for qa/complex tests


2010-07-12  Lars Langhans  <lla@openoffice.org>  [9d7f184201a84ec08f77c9e374667e491930f0f1]

sb123:merge


2010-07-06  sb  <sb@openoffice.org>  [4a51d6c175ebc1525b786818f35f1b194d0c951e]

sb123: #i112519# do not terminate OOo accessed via OOO_TEST_SOFFICE=connect:...


2010-07-06  sb  <sb@openoffice.org>  [a7195d614293ca808a3a77a0761295c76c08b445]

sb123: cleaned up the previous cleanup


2010-07-02  Lars Langhans  <lla@openoffice.org>  [310d3b1a202af7c926f50ad18a4d6bf378ce49da]

sb123:#i111449# cleanups


2010-07-01  Lars Langhans  <lla@openoffice.org>  [f872fddf3667d6f3dad564c42f9cd0f6d939a398]

sb123:#i111449# cleanups in build.lst for qa/complex tests


2010-07-01  Lars Langhans  <lla@openoffice.org>  [9d9abc15bde6a8e33061944b672c0d892bff0183]

sb123:#i111449# update version


2010-07-01  Lars Langhans  <lla@openoffice.org>  [76ea1438e0e630302b5026dee880c32bd2f358c1]

sb123:#i111449# add qa/complex to build.lst


2010-06-29  Lars Langhans  <lla@openoffice.org>  [1996dba681aa3aa016e87383656cad288c862fb7]

sb123:#i111449# cleanups in test environment


2010-06-25  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [e726ff6952c72b81f85b8799290368a154cfe10b]

Update from master repository (DEV300_m83).


2010-06-24  Mathias Bauer  <mba@openoffice.org>  [59e3402b886f30d0967a06aebd42070fa9d6a383]

CWS mongolianlayout: merge with m83; resolve easy conflicts


2010-06-23  sb  <sb@openoffice.org>  [8e47fb6ab4edbb589d568bc3ca662f2fe50bc835]

smoketest26: #i112616# generate smoketestdoc.sxw


2010-06-23  obo  <obo@openoffice.org>  [ae7bd7f4249ca94e04f837b23bf691b207976084]

koheirowlimitperf: #i109369# #i109373# #i109384# #i109385# #i109386# #i109387# #i109388# #i109389# #i109391# #i109934# #i109935# #i110116# #i111531# #i111887# #i112190# #i30215# increased the row limit to 1 million, and integrated lots of speed optimization and bug fixes to ensure Calc remains usable after the row limit increase.


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [63505bf6949df61bc8a0d3fe1be414b1b8042abb]

smoketest26: fix smoketestoo_native "build" without Java


2010-06-22  Rene Engelhard  <rene@openoffice.org>  [18d6c7b0e73dfb7ce6b3ecb25aeb42924417f332]

smoketest26: #i101000# fix nodep=true build in smoketestoo_native


2010-06-22  obo  <obo@openoffice.org>  [576dd87f11eb31c903f23f764f1fcb71d1db4b6e]

CWS-TOOLING: integrate CWS automationdev300m81


2010-06-22  obo  <obo@openoffice.org>  [1bc64374c2ad0fc69f29980cb50e8f0d88d30cc9]

CWS-TOOLING: integrate CWS jpropenable


2010-06-22  obo  <obo@openoffice.org>  [9b468e0dd9fc56c6ed71c28fd90674e539ee4e4d]

CWS-TOOLING: integrate CWS fwk143


2010-06-22  obo  <obo@openoffice.org>  [e02bc9c162a8399508f781e05d25e90205fe6d5b]

CWS-TOOLING: integrate CWS jl152


2010-06-22  Joachim Lingner  <jl@openoffice.org>  [4916158a8a5f5cc120167a0c9baccf90745ccbd3]

jl152 merge with DEV300_m83


2010-06-22  obo  <obo@openoffice.org>  [6226e2a8f647d2e92dc1f15e40b8b655348ca5f3]

CWS-TOOLING: integrate CWS impress191


2010-06-21  obo  <obo@openoffice.org>  [74396313fa1b1c60f02f68665b8ea3796a6ecfbe]

CWS-TOOLING: integrate CWS calctabcolor


2010-06-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9371a1798a0236633a8b0995c852dfcfc0bd6e11]

automationdev300m81: Local merge with DEV300_m83


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9459b775854f9701e6619722d1b58a6ce96c2253]

jl152: New issue #i112523 to be fixed later (probably not related to this CWS)


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b077d9bb7fbc33351a7f8400c02fc98657bdd44a]

jl152: New issue #i112523 to be fixed later (probably not related to this CWS)


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2ee015691a58a8eb11e73dbc5dba6611fdf7b13b]

jl152: New issue #i112522 to be fixed later (probably not related to this CWS)


2010-06-18  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [2b33c0ea45a572360daf2b65c1b6edee26a070dd]

Update from master repository (DEV300_m82).


2010-06-18  obo  <obo@openoffice.org>  [3ba078f3b6ce87e8b2bbf9d0f0128adaaa7892df]

CWS-TOOLING: integrate CWS vitomation01


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c2478d4d74b8d290b3e5fcd8a602b4b0ab214025]

Local branch merge


2010-06-18  Lars Langhans  <lla@openoffice.org>  [0c0bdafbfe93723cc345e875a53314b07bbe1033]

merge DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [9eb082b924d90dcf1cd252da948f9a1547ec6b70]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [58fe2471ad40e3be1afb860ea1375293417c33bb]

cws tl79: merge with DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [f0dbe935f40124b62f8a58a926e838d863f240bf]

CWS-TOOLING: integrate CWS tl78


2010-06-18  Lars Langhans  <lla@openoffice.org>  [a0203934ea082dcd6a6b46151841aeb728069bf2]

sb123:#i111449# cleanups in qadevOOo qa/complex tests


2010-06-18  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a05dfeaf74e041a0447bede0d742a845decd6fbd]

jl152: #i112023 - Added issue #i112496 to warnlogs for incorrect menuitem count


2010-06-16  Joachim Lingner  <jl@openoffice.org>  [42c38b1f5a2aa3a09970cc835fef43d8793da213]

jl153 merge with DEV300_m82


2010-06-16  Oliver Craemer [oc]  <oc@openoffice.org>  [f30d60c29ca5ab5dd2581d2e9dc4b6823085dd68]

i112451 :[Automation] Declaration for new Tabcolor UI


2010-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [fc5d87c26ae1403cdb27677d36ea3839d6574d71]

jpropenable: #i112445# exclude this file from l10n process


2010-06-16  Christian Lippka  <christian.lippka@sun.com>  [5e21a072e683d9dff80f7133e33930d8e8180c39]

updated test to reflect changes from cws renaissance2


2010-06-16  Thorsten Bosbach  <tbo@OpenOffice.org>  [14da1cc6dc6b9376e6bffa8854a8755e33d762dc]

#i111181# masking error not related to this cws, but test that would help here


2010-06-16  Carsten Driesner  <cd@openoffice.org>  [639a7a5cd2fc864bcda0acfda86c032cfdfe1ecf]

fwk143: Merge changes


2010-06-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b9f41a62b139e80f9c26ad4d1c117e076e67bdec]

jl152: #i112023 - Added test extension for #i111434 and two version test extensions


2010-06-16  sj  <sj@openoffice.org>  [3d8fbf3fd51fed553f3edc553b1c48a530280f1d]

impress186: merge with DEV300_m82


2010-06-15  Thorsten Bosbach  <tbo@OpenOffice.org>  [fcd67ae21bda6e38dcce53bb7652d1bce2d4ea8f]

#i112279# additional testautomation fixes


2010-06-15  Thorsten Bosbach  <tbo@OpenOffice.org>  [afaed1884ef8f7a40ec2064536dccc0dd3e03dae]

#i111422# testautomation part


2010-06-15  Thorsten Bosbach  <tbo@OpenOffice.org>  [fb100e48fb1dfffbfb555149efeba873da172b59]

#i110254# testautomation part


2010-06-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ff6e031b7ef286645310737cf97848e745413ce5]

jl152: #i120023 - Adjustments to publisher.inc done. The extension manager now populates more slowly than before and the position of the extension in the update dialog has changed.


2010-06-15  wg111939  <wg111939@sr1-eham02-02>  [59114bb5f7d06b257b2c8d0e008918acdc71e707]

Adjusting tests for renaissance1 changes, making sure right tab page is selected


2010-06-15  Helge Delfs [hde]  <hde@openoffice.org>  [897ffe934ca1cf0d99d290995663d4d4ad1833d1]

[no commit message]


2010-06-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e14f170b738f133bda473901b31dccc8b6be2a64]

vitomation01: Merged with DEV300 tip, resolved merge conflicts


2010-06-15  obo  <obo@openoffice.org>  [71beddb5de268ce4665dbf7f650e1c6154567bd7]

CWS-TOOLING: integrate CWS chart47


2010-06-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a6dfd0a00530bdb918b746a0f220e9f4d3472579]

jl152: #i112023 - Added version33.oxt, version34.oxt and updated files.txt


2010-06-15  obo  <obo@openoffice.org>  [8c02cee3d6df728224604ec91327881bed9adf2c]

CWS-TOOLING: integrate CWS native309


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [d4cb91a380e7a1017449cf84161f0a32bf557046]

calctabcolor: rebased to DEV300_m82.


2010-06-14  Thorsten Bosbach  <tbo@OpenOffice.org>  [516a6482b3576e4f673e074303d82e3f6793d68d]

#i110048# testautomation part


2010-06-14  Oliver Craemer [oc]  <oc@openoffice.org>  [0b6e1f5a128aacf0b804c077f4405eb61083795d]

i112381 : [Automation] added waitslots to avoid timingproblems


2010-06-14  Oliver Craemer [oc]  <oc@openoffice.org>  [cfda4ffc6e4ad89ea91963b3db46a03339b308fc]

i112380 : [Automation] ch2_chart_data_dlg_impress.bas fails because renaissance


2010-06-14  obo  <obo@openoffice.org>  [d93b0aaef0f43229dcec9077e9ba10e5455503d9]

CWS-TOOLING: integrate CWS automationdev300m79


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [6f163e2efc2c521153b88371839208b871dbd84f]

cws impress191: rebase m81


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1c8fd99b0cc91d14215ec2a5ef0d838a5602b8f6]

fwk143: #i104704 - Bad context fixed.


2010-06-14  Lars Langhans  <lla@openoffice.org>  [2f7791ebd03a902a10d11ad21867f8434cbffcb3]

sb123:#i111449# make it possible to suppress output


2010-06-14  Lars Langhans  <lla@openoffice.org>  [8149389002e99ee478cc4e98fa5dc57730c1d72c]

sb123:#i111449# cleanups in module test


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e80add23f54b8b9722e2db4bcb83a3033a90c461]

jl152: Local merge


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [23d550b4234d6b83ebaf1abc503a3cebb4295d65]

jl152: #i112023 - Fix incorrect description.xml within version30.oxt and version31.oxt. The extensions had incorrect version strings and one extension was completely broken, probably checked in as plain text


2010-06-14  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [86dc2ca26822dfeb2a651edada995e76c1ce00ff]

Update from master repository (DEV300_m82).


2010-06-14  wg111939  <wg111939@sr1-eham02-02>  [bb87ad60cc31e8a8ab55bdbe9116b1f6ebaf0f79]

Adjusting tests for renaissance2 changes, i94055


2010-06-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cacdb7e34f7613f97b02c49dc098d1fe913bc5f4]

fwk143: #i104704 - Changed testcases to context to the newly declared Hyperlink-Dialog, submitted issue for crosslinked id_002.inc and id_004.inc plus others which id did fix but not verify (because they are not called)


2010-06-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1b89c5212bbca495876340c49d7566bed42a2ab9]

fwk143: #i104704 - Added HID_HYPERLINK_DIALOG as HyperlinkDialog


2010-06-11  Joachim Lingner  <jl@openoffice.org>  [99133b83dcbf61d21ceb5616a2616cf60119717c]

jl153 i111878 new versions for cli assemblies


2010-06-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [62ffffb1fa50c26fbf45fd4ef010a59a0865d50a]

native309: #i112273 - Adjusted version string to 3.3


2010-06-10  Lars Langhans  <lla@openoffice.org>  [8cfc59131e0314ba989bc270ab8fb644ed36048e]

sb123:#i111449# add junit skeleton with some simple tests in qadevOOo qa/complex tests


2010-06-09  obo  <obo@openoffice.org>  [f0bc936c2a2cf3da6b80a521511f2d0f9ec3a547]

CWS-TOOLING: integrate CWS tl74


2010-06-09  obo  <obo@openoffice.org>  [33ecc4eb4d8a379b42ec6f5858d04e14b02763c1]

CWS-TOOLING: integrate CWS findbar01


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [f6bf47c8486e4e72c194353620d773fd9544ec2c]

cws tl74: merge with DEV300_m81


2010-06-09  Thorsten Bosbach  <tbo@OpenOffice.org>  [0adf8ca5aa7cd378fb114493ae03df07b61c15ef]

merge


2010-06-09  Thorsten Bosbach  <tbo@OpenOffice.org>  [4f63c180909f34c5b80e802fcba4496fc4717d2b]

#i111784 CWS gridcontrol_03: Tablecontrol.select does not trigger selection event


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [394e461cac871484660b2510a4d00f02494f9178]

jl152: #i112023 - Changed warnlog to printlog for non existing control. This is acceptable because the control may not be accessible at all for the user and this can be obtained by hiding it or by simply not adding it to the dialog.


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [432e99d8fee5ed525eda813cf83676759f6c608c]

jl152: #i112023 - Removed parts that covered disabling and removing extensions. They are no longer valid as the user cannot remove bundled extensions.


2010-06-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [f3165795a262fc403da9f8c68d15f5bf635f5a02]

Update from master repository (DEV300_m81).


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b8b06f01434bc2f418939c2345087404f14c01b1]

jl152: Local branch merge


2010-06-08  Michael Stahl  <mst@openoffice.org>  [e632906d87785164717583a81ca63773d0a0d1e6]

merge DEV300_m81


2010-06-08  Joerg Skottke [jsk]  <jsk@openoffice.org>  [16ad5bb4ae52f6e27421ef6ab3d962bed983fb87]

automationdev300m79: #i112207 - Fixed platform identification string in extensions/optional/input/platform/extensions.info to match global variable gtSysName.


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [99660b0178384949f45072ba108649e9d77c2584]

cws tl79: merge with DEV300_m80


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [4a3c96e66bd3033078e2fc487a906138ee38826a]

jl152 merge with DEV300_m80


2010-06-06  Joerg Skottke [jsk]  <jsk@openoffice.org>  [79c3dc644aca928eded94086bda161cb7394dbf3]

vitomation01 (Buster): Logal merge with one conflict resolved


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [ad762bf848c95987aab4b40d16c5c60215431386]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9cb5b7e03fbb3a3f55d9e7649f478126f603485a]

vitomation01: #i109696 - Fix typos


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4faa9936636eff341564855e894a703fb9116e81]

vitomation01: #i109696 - Parentheses mismatch


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [100d07f2c9f48c4b836738a23fadbc228d39b557]

vitomation01: #i109696 - Solved timing problem on Linux, sleep() again. Argh.


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c6f18dd8174a082ab16a5a059f4e8bb982540679]

vitomation01: #i109696 - Removed no longer needed parts of the headers


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [91ea927dc418943e07a644454217724062b6924e]

vitomation01: #i109696 - tiEditCutPasteCopySelectall() now has no more sleep(), it did not work anyway


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [72d6a3c8d1b9438cad5f4c9342a6ccb17dc8b803]

CWS-TOOLING: integrate CWS slidecopy


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dd51960d8e5034f784382138628efde9c76f5098]

vitomation01: #i109696 - Provide missing control subs


2010-06-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [603f35cdcaeb05a9898ddabbe7587c1832af18d9]

vitomation01: #i109696 - Provide missing control subs


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6b65deba8e133cf5320f5c5032b173e264ec53c4]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [99b67ed4ab2b5563a8607c64c3bc2997f55ac2bd]

vitomation01: #i109696 - Sleep() removal in some functions.


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b22c53e7ff4a8e22e0161a58d307f91b2bd28ef2]

vitomation01: #i109696 - Sleep() removal in some functions, added some Impress related slots to hUseAsyncSlot()


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [df7301b4e6708cc157a8b41c59d8cc4f58a6536d]

vitomation01: #i109696 - Reformatted according to coding guidelines, these tests are extremely hard to read and feature an enormous amount of unnecessary wait cycles. Should fix soon.


2010-06-03  Helge Delfs [hde]  <hde@openoffice.org>  [e51e8f10d47f55e2f89fa4627bdfea748246456a]

sw33bf04#85766#adapted testcases for numbering fixes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3df1df173390432fc404d5dfdd84f0d69b16e425]

vitomation01: #i109696 - Fix missing subs in d_updt.bas


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0003d9ad75f67c75bc8e3d7fd7c0cf995b54658f]

vitomation01: #i109696 - Fix timing issue in m_020_.inc


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c5652d02cba041909675c4d819fff2f52f12fc2f]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [236a0555cc7931ea4fbb732f5a833d7400ac39ed]

cws tl78: merge with DEV300_m80


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [c5c811e23cf308a1b179d209b5edc3c1b53b416a]

CWS-TOOLING: integrate CWS renaissance2


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [37926cb0a3ca8de924970e5719cd1a661a816af7]

vitomation01: #i109696 - Needed to split w_004.inc into two parts, 64k limit strikes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c3b4d6008c520e866fae5f94904e45dea0f6bdb6]

vitomation01: #i109696 - Needed to split w_004.inc into two parts, 64k limit strikes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d784c4b35d5b6dc6b11e1d54d4e1c17ff63c461a]

vitomation01: #i109696 - Needed to split w_004.inc into two parts, 64k limit strikes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7c84d83bb30c149f8d29ae0b3e7ad042f265695e]

vitomation01: Local merge with remote repo


2010-06-03  Helge Delfs [hde]  <hde@openoffice.org>  [8f149a1cbb8acb8dffb23a99991958f4c25624ba]

sw33bf04#112058#adapted testcases for numbering fixes


2010-06-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1ee14bfdeec90ee5833b60781de2bd96b0183c5]

vitomation01: #i109696 - VBA compat tests need to know if it is running in admin mode. Minor fixes


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1a083d63d4efec48c454a2c3ebc7e76ad64f813]

jl152: #i112023 - Fixed e_publisher.inc (has new offset in updates list)


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [da2ee143935a9b475e77454f4a0ac875a7af955d]

findbar01: #i111912 - Modified g_findbar.inc to make the CWS pass in reasonable timeframe. Followup-issues are #i111984 and #i112026. Integration is postponed due to massive conflicts with CWS vitomation01


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a2aca092aa48e592ef81c2e35d3f468ad37a5a0c]

jl152: #i112023 - Removed unused file - Inproved checking for controls in e_update.bas


2010-06-02  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f0d078c568db00a1a906809d96e5042bc1975dcf]

vitomation01: #i109696 - Removed f_first.bas: it does no longer have a special status as we are working with categories now. Tests have been moved to other files. - Removed f_script_organizers.bas, f_basic_dialogs.bas: Their scripts are now combined in f_programmability_dialogs.bas - tInsertAllGraphics() has been removed from (now deleted f_first.bas) and replaces an identical but less strict test in w_updt.bas. This gives a speed gain of about five minutes to w_updt.bas. - graphics_import.inc: Deleted, tests moved to f_topten.bas and w_updt.bas


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e6fd8f6d2f847ba385b30dfbb39cbeca6ee347bc]

vitomation01: #i109696 - More sleep() gone


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [19487bd8d9492cac83ac37edf65805de7156fb06]

vitomation01: #i109696 - More obvious code reduction


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d17e9223072017739f4548d620ea1faa5028cb71]

vitomation01: Local merge with DEV300_m80 (Duffy)


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [930f28183c856f9f3f71e8b15e044e0b5bf23579]

chart47: #i111966# don't use a random property - test all properties instead


2010-06-01  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [d9383a5ea3717c88edc3c7b7eec4286b8f505a86]

Update from master repository (DEV300_m80).


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [b8e54dbe388628c3ede1197ec31dd4d481167445]

cws renaissance2: rebase m80


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [1da8994197f2d734958df7041b2d3893e27184cb]

chart47: merge with DEV300_m80


2010-06-01  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [76de7151d0cfd8c7ef1160a6fb10a65e6152671e]

Automated merge with http://hg.services.openoffice.org/cws/dba33f


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [118151646190adbfc8313fd4e84658b6f75b3fa3]

vitomation01: Local branch merge with DEV300_m80


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dfa9f644c7086abc9ae07272b89433d639b85bee]

findbar01: #i111912 - [Testautomation] Added calls to DialogTest()


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9dce5ec44ace5bfc95538ca62c58cc9d3e97b004]

vitomation01: #i109562 - Remove code duplication


2010-06-01  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d03539c9b67e60e7e1f137a0b500c098da54984d]

vitomation01: Local merge


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [b68a128fa1dc680e8990597a263947eb1da7c67c]

cmcfixes74: merge with DEV300 m80


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1f7701c43f3bf61973019a440f697d8e5df94fec]

findbar01: #i111912 - [Testautomation] Preliminary update test, incomplete. From a testtool POV we have a permanently visible SearchDialog button which should be fixed.


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4152c49a9419bd18af32467b1bf884ebf4781ae4]

findbar01: #i111912 - [Testautomation] Added findbar declaration to bars.win


2010-05-31  Vladimir Glazunov  <vg@openoffice.org>  [f2e71c9593e26eb50eff8fabe1e3cfd8ea2bae28]

#i10000# prechecks temporaly disabled.


2010-05-31  Ingrid Halama  <iha@openoffice.org>  [29f1e443639bb1a82cc0c46a3e73bee077f4590c]

chart47: #i83866# reset to 2D to speed up following tests


2010-05-31  Ruediger Timm  <rt@openoffice.org>  [258ff81a4706aba4127c9327dc6eebe13063428e]

masterfix #i10000#: Correct module depency line in testgraphical/prj/build.lst


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [43b5bf935b13cf9fe439ef2ad531b244abfda3b6]

vitomation01: Local merge with DEV300_79


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4ae671e7184ffa6000ee036ea2f7fdec4fda2fca]

vitomation01: #i109696 - Edit mode, another attempt - more waiting


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7442c9bc9170adbb6345335cc054cf736d853c17]

vitomation01: #i109696 - Edit mode, another attempt with much simplified approach without verification.


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d8a414315810e761672a9c30a5fd21f6566fd837]

vitomation01: #i109696 - Edit mode, another attempt, again


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [318188d613d5932d482c3266520e2d5d7d79ecc3]

vitomation01: #i109696 - Edit mode, another attempt, again


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2c7ca0572e105db501d021c7db78eba8b7c665de]

vitomation01: #i109696 - Edit mode, another attempt


2010-05-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0a281fbf3e93193d207dfcafc74e1a2c8d0b3087]

vitomation01: local merge from remote repo


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [47839aab7e35ed0c337403aaa1cbe5ce9cc90667]

vitomation01: #i109562 - Disabled test (#i111914)


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b47f86237a3bd402ddeb19893bed2d7be8e0c441]

vitomation01: #i109562 - Disabled every single HangulHanya conversion test as most of them are broken and - in many cases - need a rewrite


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [02468edcf2dc6cc2474f81c05697e35722b25e1d]

vitomation01: #i109562 - Fix broken loop


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7ba180037ff5044737d18ea1c7f87c6726ccdfec]

vitomation01: #i109562 - Added issue #i111909 for failing to access rename menuitem in context menu, reformatted files to coding standards (Partially)


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [959d32dd913fd87019b54c38ee96c47a074f7367]

vitomation01: #i109562 - Add one slot


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3735859902c735285157d6fdb1cbe1f6965cd034]

vitomation01: #i109562 - fCloseNavigator, implementation No 11234372 replaced


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f1b55b5e8279a341f61191be13cabd735ca0a60a]

vitomation01: #i109562 - Removed delays, added basic errorhandling where it appeared to be useful


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [af75b00c9414a0409996090918511cdefe482d66]

vitomation01: #i109562 - Excluded tCheckDialog due to issue #i111908


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [79362d9ed9b32a7c97553a7ef0f327a5db40fd3d]

vitomation01: #i109562 - Uppercasing gApplication is not required anymore


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [31ea6ff9cd737fca2ec87876f82872abb4573e56]

vitomation01: #i109562 - reformat files according to coding guidelines


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [749c611d47811a032f2678b4dcae854bf1dafee7]

vitomation01: #i109562 - replace wDocSetContext() with hSetDocumentContext()


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f2e26ede904484d63eacda27817ce1024446c8a6]

vitomation01: #i109562 - formcontrols.inc - disable autoexecuted mouse movements


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f2e05e896d1c8d0008335aa7005499032ba0d397]

vitomation01: #i109562 - sMakeReadonlyDocumentEditable - make it talk a little.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e64f6b0f24b722c0618eac37d0a3d6b4aef86985]

vitomation01: #i109562 - sMakeReadonlyDocumentEditable - do not warn if document is already in edit mode.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d841f9a6a90e9380686f5c772c8b4b537e2010c3]

vitomation01: #i109562 - sMakeEdibleDocument - erh - sMakeReadonlyDocumentEditable reworked, back to old simple style as the newly attempted fixes by HDE and me simply do not work.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8b54d0aa0c8195d52fb37eb100bb8b2dace28f86]

vitomation01: #i109562 - Double quote fixed


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5b1253332ad204f4c646f28906017535b35e09ab]

vitomation01: #i109562 - Code cleanup, fixed countless bogus functions, moved stuff to global, make tests use global functions where local copies existed.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f52bc8dfaca2de81ed2be6462851e5f601eeefe7]

vitomation01: #i109562 - Added function hGetUsedFilter() - it retrieves the default filter for the current document from the FileSave dialog. This function was replicated multiple times across testautomation.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bdc09f8c309454de1060e20a6de4f60e6eaccb29]

vitomation01: #i109562 - Replaced most functions with simpler ones, eliminated unnecessary sleeps etc.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9318fe30c859ffa69adefa6cafbc2030b5361fec]

vitomation01: #i109562 - Replaced all complex mouse operation support functions with much simpler generic ones


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3d2914c71edb44e09554ca34c00db269a9986224]

vitomation01: #i109562 - Just a little better printlog for hUseAsyncSlot()


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d97bfc46ba09b884a35083a485c57171ccc5fd3f]

vitomation01: #i109562 - More code refactoring in export_graphic.inc. A sthe function worked with invalid returnvalues from dysfunctional helper functions i had to replace quite some code.


2010-05-28  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [2514be48d66710d3fdac8df1a82439c75f578cb5]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-05-28  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [404cda84e168bd9156adac40adaa586666fbdf0c]

dba33f: fix some coding errors


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8dd4ef12ef471314395b7166a69c3c998fd1d4f8]

vitomation01: #i109696 - function fIsDocumentWriteable() and fMakeDocumentWriteable() had stupid printlogs with many typos, fixed.


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a8100b4af9c852987d59c110f1f5067d780aa513]

vitomation01: #i109696 - function fgetsizexy() does not set its returnvalue but modifies a function parameter instead. There is no checking whatsoever that the Position And Size dialog is really closed and then there were some more problems. Fully refactored


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cb851ef361ad50dd4f1b6bb9860b140ab58d7d22]

vitomation01: #i109696 - IsNamedDocLoaded now no longer takes the optional second parameter for verbosity. Set GVERBOSE = TRUE before calling the function


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [fc26482d981b877c6fb9d9c1013ac9e4164a8a9b]

CWS-TOOLING: integrate CWS gfxcmp02


2010-05-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7113c13e64c0246eefab39bbc2afdb91c1687dc3]

vitomation01: #i109696 - IsNamedDocLoaded also exists in t_files.inc (global, required include) so i removed it from here


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [512c01f0e6abb5c5f413493f66b4a424a716409b]

CWS-TOOLING: integrate CWS koheiautodecimal


2010-05-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [39bf6eb0bc0b95377b3c93c204c4d18b5f119e8a]

#i111883 crash on .uncheck


2010-05-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [4335f56dcbf54f2cfa3baebd251615e2aeb1b495]

#i111881 new testtool script fixes


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e67f68668b9f6b3f8ca8262fab00f1eaef988277]

vitomation01: #i109696 - export_graphic.inc calls a lot of very dubious functions. Cleanup


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [430857834fe4e29b5783da8bf80cb66671df5573]

CWS-TOOLING: integrate CWS sb122


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [84d4d4771df7e8a0cef08fbda9a6d1b9050b9ae2]

vitomation01: #i109696 - Full refactoring of export_graphic.inc. The test case sported code duplication on epic scale as well as very long sleep() statements which should not be required if coded correctly (i hope)


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [232bdb86cb7fe04cc706f0d37344fdebdccbb8dc]

vitomation01: #i109696 - t_files.inc: Added functions hFileReOpen() and hFileDelete(), the latter being a wrapper for hDeleteFile() which does not follow the naming scheme.


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [8b631007fe7cc223751a1b11e31852514f1a469b]

CWS-TOOLING: integrate CWS sb120


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [9d974eef6c6716c012e37db1c15894023f6224c2]

cws tl79: merge with DEV300_m79


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ba9d82c62c291c5c9009e304320090da19d0e105]

vitomation01: #i109696 - export_graphic.inc reformatted according to coding guidelines


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5aa3ddbc8d63a14d0d836e31344ac86f422bd4c9]

vitomation01: #i109696 - i_us_presentation.inc: Gnarf


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d91ff4098c7a8b462f10d8f8c14a1051bf7afd97]

vitomation01: #i109696 - i_us_presentation.inc: More tries


2010-05-27  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [cf8ea1e74a3671bb21cd74d7aad33175978676ea]

Update from master repository (DEV300_m79).


2010-05-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2379d4d55efcf2f979cf3f72d6e34de8e55556e5]

vitomation01: #i109696 - i_us_presentation.inc: Try to make the presentation compelte successfully in test number 6


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [e92be55cc0cecaf4687eb8aadd3fda86fb8526bc]

#i111822 macos X masking


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [67f65f788b0796fc5896a9a4bac79e58ace7e3fe]

strange new files


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [893c0716b2f127b02c1f2a7bb322c85ec95120e3]

#i111851 macos X masking


2010-05-26  Thorsten Bosbach  <tbo@OpenOffice.org>  [557f3862bc8fcd4b2e0b5a9e20581cc25a3ec6f8]

#i111851 macos X masking


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bb3ca700160a84e41df332ba4534236c99dc355d]

vitomation01: #i109696 - The test (i_us_presentation.bas) had problems accessing one control. Refactored large parts of the code to avoid random test interruptions but used aggressive timings, might need further adjusting


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [d597625544c33d2426b27cb80232ab3d3983ed25]

cmcfixes74: merge with DEV300 m79


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8a99f2f1c9e1e0db7eebf699687f9ab4ca17aa3c]

vitomation01: #i109696 - two more slots added


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [148d96a2fef97058dbadf98404c3433f38c4211e]

vitomation01: #i109696 - g_tables.inc: Use Wait( 1000 )


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [36bfcbd9afe879cd3deb00aef7db8647de863900]

vitomation01: #i109696 - g_tables.inc: removed unnecessary ucase( gApplication ) statements. gApplication is uppercase, always. Added warnlog for dialogs that refuse to open. Handled test abort when asian support is enabled (Control <Font> does not exist then).


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ab9bc09311c82c9cc1a52c27d74a2878469ec268]

vitomation01: #i109696 - g_stylist.inc: Try to workaround a few timing issues.


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0dd8bc49f940b552a7bf4f84ee920864cf780442]

vitomation01: #i109696 - modified i_slidecopy.inc in such a way that it can print a warning instead of an error when the menu-id 27027 (name...) is not available in the context menu of a connector.


2010-05-26  Ingrid Halama  <iha@openoffice.org>  [f948cdf0b922b566fd3b1b813c9a8549a05fe27a]

chart47: #i83868# correct test and assertion for property 'SymbolBitmapURL'


2010-05-26  Oliver-Rainer Wittmann  <od@openoffice.org>  [0024d010c3e6d7f85dfbaa187035f00bc824dc99]

sw33bf04: merge with DEV300_m78


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [be32169d3d97e79b8f18c96b72b3ac0d24abf304]

vitomation01: #i109696 - Fix missing gApplication setting


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8b29287c1c3432810a19eecccd4cd8fb11061486]

vitomation01: #i109696 - Fix more kontext stuff


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [117c5556f4fc569c2c0f83ecca19213a31fb9c0d]

vitomation01: #i109696 - w_gridlayout enhanced


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e1043c57df01c3b8e7f6e9ca78e08e21a0227932]

vitomation01: #i109696 - CJK featureswitch had incorrect reference numbers, lots of inverted logic (which was greatly simplified by providing a minimalistic helper function).


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6b17a39ac4584de40b85ffc36fb41054b03f3b31]

vitomation01: #i109696 - The test tries to close a tabpage twice, fixed.


2010-05-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2d8993223386c76d505965545bbb36fa1fc373da]

vitomation01: #i109696 - fix kontext error


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [232c575864a5d3e5b14cf2d0b70f60af38071033]

vitomation01: #i109696 - fix warnlogs caused by untraceable rendering activity when selecting page number in navigator (Document is re-rendered which takes time and cannot be covered by WaitSlot())


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [12673f5a23e891a196a9331113ade7861fcdbc40]

vitomation01: #i109696 - fix various breakages caused by refactoring


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [834a7f25f46b35838df5940791748147636c6027]

vitomation01: #i109696 - fix broken filename


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b231a00676d36faaa90e0bc49a98bd034c79c3df]

vitomation01: #i109696 - fix typo


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [94ec0875238b2f6175a5310056a90ba831613275]

vitomation01: #i109696 - Dramatically simplified test case, provided long missing function to select item in a list by name (which would work using the treelist function as well but looks rather awkward when called from within a test case - it is just the wrong control.


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8ebdd8549292a5cd7e6d03095e316f8c6c6fd06a]

vitomation01: #i109696 - Misc fixes + enhancements, new function


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [801de6f0754af93b771b94ebdf43bfe6a02f03d3]

vitomation01: #i109696 - Misc fixes to code logic


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [846c3a3b91ba4d49c40ef9bf9846afa683efeced]

vitomation01: #i109696 - Code compression, there exists a function to compare results, no need to do it manually


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6a11c466e6887f4fc8835893328f1b6721f51354]

vitomation01: #i109696 - Remove invalid file


2010-05-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8f0771fbae396ddbe5ffda0f291821a9568f0ba7]

vitomation01: #i109562 - Update help references and add one missing


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [aa096429499696fce4d380d6eeff8db996a62860]

CWS-TOOLING: integrate CWS gridcontrol_03


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [766450f64fc578bade6af6a71412fec8ed591873]

CWS-TOOLING: integrate CWS npower13_objectmodules


2010-05-21  Oliver Craemer [oc]  <oc@openoffice.org>  [788276773417c1e62be1fa09c2f7d7226c18f725]

i111343 : [Automation] Adapt autotest because of new decimalfeature


2010-05-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c424a5df10c05c5913ea4f66691859e49631c6b2]

npower13_objectmodules: Fix incorrect merges


2010-05-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d56f688081edd92d1f563405a3e200e05b8ce296]

vitomation01: Local merge with DEV300_m78


2010-05-21  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [e6f4c95e74bdda37f7b3e6a0c1f7c396ca8241a5]

slidecopy: changes for the new taskpane implementation


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [918599d1f0567b24801ddff692a340daf425f5d2]

npower13_objectmodules: rebase and merge with DEV300_m78


2010-05-21  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [5321db853b922ee6d3f4e6c0d7db8d395e81c337]

slidecopy: new files for testing the new taskpane


2010-05-21  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [a45b5f91ca3206ee82a1c6a9cdb6c56d6c15b7eb]

slideshow: new files for testing the new taskpane


2010-05-20  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [e6af8302942e0d7cfe0e7cfd774e753405d2a938]

Update from master repository (DEV300_m78).


2010-05-20  sb  <sb@openoffice.org>  [f82d8092322992af7de55ae7f20029a629485742]

sb123: merged in DEV300_m78 via cws/sb120


2010-05-20  Ingrid Halama  <iha@openoffice.org>  [dd2e9541fd455578ea0bad5e617ad82894ae6e71]

chart47: #i111102# close chart documents after testing


2010-05-20  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [337425b5de4093023abc1ecbdd198232b2962ffa]

slidecopy: fixes for new taskpane


2010-05-20  sb  <sb@openoffice.org>  [cb0a5142ce6d89860c969462fab5e481b33ea187]

sb120: merged in DEV300_m78


2010-05-20  sb  <sb@openoffice.org>  [46159b4adebb33fcdda7d82824145510275c19b7]

sb122: merged in DEV300_m78


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9fb6b11c96ce115fb48d4150a595fe54ceb2de3a]

vitomation01: #i109562 - Remove invalid reference files


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cb9234aa04efd3108322dee37177aa0778837414]

vitomation01: #i109562 - Another modification for one more yet unknown situation to hDestroyDocument() / hCloseDialog()


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [70e8fcc45d58e229600253c82d1c99f1259def7d]

vitomation01: #i109562 - tModifyObjects has StarOffice branding, fixed.


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b232631f159685dfa97b03ec172dc472d74c4de2]

vitomation01: #i109562 - tModifyObjects should complete without the need for a number of restarts.


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c343fbf7b1758146175cc375ae46bc1d0460428f]

vitomation01: #i109562 - Modify handling of messgeboxes - more enhancements for flexibility


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [037b68b08a910bf0fdaf98c1a2062c733c7687bb]

vitomation01: #i109562 - Modify handling of messgeboxes to suit the needs of the extras_xxx_open-tests which have to deal with an I/O error for some documents now.


2010-05-19  Lars Langhans  <lla@openoffice.org>  [243817853c0ce85ffa7e06667b15cdfbf6cb5fa5]

gfxcmp02:#159601#


2010-05-19  Ivo Hinkelmann  <ihi@openoffice.org>  [0c8613ea286a8f4db27ab72531be1e10ad2abc94]

masterfix #i10000# no need to test JRE


2010-05-19  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [4b96a918b1128ad5d30264430b538a72165bd591]

slidecopy: changes for the new taskpane implementation


2010-05-19  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [6efe9908b2b00e4e99fa2f773fef07dcc677b706]

slidecopy: add new test extension


2010-05-19  Ivo Hinkelmann  <ihi@openoffice.org>  [6d380687e0e18cc5433d0c6242580f14430eec1e]

masterfix: #i10000# fixed for JRE instsets


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c7ce203334ea6279b3d5f9c999541ffa40cd691a]

vitomation01: #i109562 - removed blanks from filenames as suggested by RE


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f184115420df653dfb80a97c9d3376328e2d4b4f]

vitomation01: #i109562 - Remove files containing whitespaces as suggested by RE


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8279c13a2b8533909481c405908051887a0e1524]

vitomation01: merge in automationdev300m77cat0


2010-05-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a5ac8295e866ade83fe1f29d205f025cf83ebcb5]

vitomation01: Local merge


2010-05-18  Kohei Yoshida  <kyoshida@novell.com>  [30c1f394f0aa7d29eb92957a511482754b4903c9]

merged from the repo.


2010-05-18  Joachim Lingner  <jl@openoffice.org>  [3b51ba66db641108c4ee64f210dce79130e923e0]

jl152 #i77196# smoketest now uses new extension manager service


2010-05-18  Lars Langhans  <lla@openoffice.org>  [9465ff0139d53f89db9c526a8c1b49f8033b51e7]

gfxcmp02:#159601# picture viewer


2010-05-18  Lars Langhans  <lla@openoffice.org>  [1fb54e2397c051ab4c92c4d50cf58b43e3d4d6aa]

gfxcmp02:#159601# verbose makefile


2010-05-18  Lars Langhans  <lla@openoffice.org>  [dea213ee861ceca62c6d0b6300032082da740e48]

gfxcmp02:#159601# Postscript demo document for solaris


2010-05-18  Lars Langhans  <lla@openoffice.org>  [560bdb2664376fef8851ee412137117c6786eb7c]

gfxcmp02:#159601# Postscript demo document


2010-05-18  Lars Langhans  <lla@openoffice.org>  [16165642d84a926871b457ef985bd2bc3196fa3f]

gfxcmp02:#159601# Postscript failtest document


2010-05-18  Lars Langhans  <lla@openoffice.org>  [57b2017624afd556c39b707a6db49a08503694ef]

gfxcmp02:#159601# cleanups


2010-05-18  Lars Langhans  <lla@openoffice.org>  [9ee0ed57cf33350eab6bebfbe25c3acb4e7ee228]

gfxcmp02:#159601# support makefile


2010-05-18  Lars Langhans  <lla@openoffice.org>  [9c4014cd05c77a2c1bf7293c101381bfe8d43597]

gfxcmp02:#159601# more verbose


2010-05-18  Lars Langhans  <lla@openoffice.org>  [0ed23c4fa415e36f8258a7e2d7a9d42f2e1dcdb1]

gfxcmp02:#159601# support solaris


2010-05-17  sb  <sb@openoffice.org>  [31df7a05b04c6887b718b3e16723ca54f14bfad8]

sb123: #i111655# when, within build env, calling javaldx within OOo installation sets, set UNO_JAVA_JFW_ENV_JREHOME, but not UNO_JAVA_JFW_ENV_CLASSPATH


2010-05-17  Ingrid Halama  <iha@openoffice.org>  [cf8a12054299245af64f21ee99e151e8f833f2c6]

chart47: #i109770# #i110253# reduce assertions 'already disposed or closed' - don't close the document twice


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f378d53b8060a53c9bdd46720c688b40eeac0814]

npower13_objectmodules: #i111007 - Just some more fixes


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a688ea573d64b2e98d7616ae6aa06f8cbf2b7b55]

npower13_objectmodules: #i111007 - One of the macros triggers two messages. Additionally we only have a fuzzy match then. Make my day.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8f738900a4770f39bb3e795bdbcb7105ab2dab3a]

npower13_objectmodules: #i110724 - hClickButton() has a returnvalue which should be evaluated.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [df46ea017362c0f1786fc09ff1817226212a1265]

npower13_objectmodules: #i111007 - The test macros deliver slightly unexpected verification strings which requires a second list to be maintained which holds the verification strings (in addition to the list of modules). This is bad but the nicer fix would require to checkin another version of a binary file which i prefer to avoid.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ef16776e628b1765573580012a1d86fe2ead83ee]

npower13_objectmodules: #i111007 - Add timeout to button.


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b54501138031bc030e381dd253e7d934d641a0b2]

npower13_objectmodules: #i111007 - Need to close messagebox after identification


2010-05-17  Ingrid Halama  <iha@openoffice.org>  [52aafc531a53c459e7c1d81dfb997c213a3dc316]

chart47: #i111560# report error if a property is not set and is not MAYBEVOID


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f736c042c188cb2a28d8654f50acc2cbb06effb6]

npower13_objectmodules: #i110724 - Changed logging slightly because some of the printings where confusing as it duplicated some errormessages making it hard to tell which one was relevant


2010-05-17  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ee95d5bc4e61b182368b84ec791d2cde7cc5b12e]

npower13_objectmodules: #i111007, #110724 - Provided test case (which is as of yet untested because the issues that are tested herein are not yet fixed)


2010-05-14  sb  <sb@openoffice.org>  [3eb6722861079aa03f254c39cd79736ea97a4004]

sb123: #i111601# various additional test helper functionality


2010-05-14  sb  <sb@openoffice.org>  [939cb5ec7761014e250df23777231142cd940f12]

sb123: #i111598# OfficeConnection getFactory -> getComponentContext


2010-05-14  sb  <sb@openoffice.org>  [457009e1132883feaa9a9be78a3ee1ee9c787fb5]

sb123: merged in late changes of cws/sb120


2010-05-14  sb  <sb@openoffice.org>  [4e925702413c3556a08f56d8cc0b9b1df6006e1e]

sb120: #i111558# allow override of tested soffice process


2010-05-12  Ingrid Halama  <iha@openoffice.org>  [fa9be623c7288ad1307ed5f08cbe80915ce8618a]

chart47: #i111560# ApiTest: MAYBEVOID properties are handled wrongly be the api test framework if they are not set initially


2010-05-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b97bc4098f6079431a62e33ff9c174f4461fc500]

npower13_objectmodules: #i110724 - Created test case. I wonder if it works when run from our internal servers. There might be an issue with the accessrights. However, i then just need to update the Strings to check for.


2010-05-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1a0c4c8a6b9a1ec2a50fbe43b762feed362ec05e]

npower13_objectmodules: #i110672 - Wrote automated test that found issue #i111553. Needed to enhance the treelist-tools to do fuzzy filename matching as the document can be readonly under certain conditions.


2010-05-12  Ingrid Halama  <iha@openoffice.org>  [d3373f17275d3166a0d73041fb4ce15e6dcabc8e]

chart47: #i111552# ApiTest: LineDash Property is tested with wrong type


2010-05-12  Lars Langhans  <lla@openoffice.org>  [932d6aa464b0765d35dbc6cd831ad22c4a7cc1c7]

gfxcmp02: #159601# add test


2010-05-12  Oliver Craemer [oc]  <oc@openoffice.org>  [245d43cadb51050893920b0a63abf449dd26fb6c]

i111343 : [Automation] Adapt autotest because of new decimalfeature


2010-05-11  Kohei Yoshida  <kyoshida@novell.com>  [cedf44f688663fd8814c862cb511f8ad9a34a596]

rebased to DEV300_m77.


2010-05-11  Christian Lippka  <christian.lippka@sun.com>  [f54d65566ab0bb81b610e78ebfa823eea4b6553e]

merge


2010-05-11  Christian Lippka  <christian.lippka@sun.com>  [6529b80efb80d337fa3ac9cb09b88dd277fba87b]

#i107213# addapt cut&paste check in impress to new impress layout default


2010-05-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a4416f41231acb1ed8ebd0abe2d80bbee4cf5345]

vitomation01: #i109562 Removed code duplication and very costly sleep statements in ch2_losa.inc, brings 20 minutes per testcase (grand total of about 2hrs). Reformatted ch2_xml_format.inc


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [0bce02ad8fc5e526c3e9332cd6cefb7fe0d24657]

CWS-TOOLING: integrate CWS hr76


2010-05-11  wg111939  <wg111939@sr1-eham02-02>  [500b025c4059b29937b0de7b7d256535186d9c16]

Adjusting tests for renaissance2 changes


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [d9d87e530b19806ecdadfc80d31a36876dc4b131]

CWS-TOOLING: integrate CWS npower14miscfixes


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [bdaf07fe8db9f85cb9d8c581a1f7b34266ff1433]

CWS-TOOLING: integrate CWS impress188


2010-05-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [45f255defe2a23978de7566d52b9250f80232640]

sb122: #i110083 - modified platforms.inc to also evaluate RC = -7 from hExtensionAddGUI()


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [818e1c93a4eae8e7b7afad134228e2ad87b6ea96]

CWS-TOOLING: integrate CWS vcl110


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b4f22c7a92c8bf841b497c84ba501e1e1957ab58]

vitomation01: #i109562 - Renamed help related reference files as requested by RE, changed autotests to replace all blanks in the productname with underscores


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6f546b07112b92ad324d82ec02571a42cc3ebe6a]

vitomation01: #i109562 - Increased maximum array size to 25000 (10000 was not enough for the current help file sizes)


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [903f68aae8c77e680d72a29e4c2a29a43762e627]

vitomation01: #i109562 - Remove blanks from reference file names as requested by RE


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [38089c9393f2b4eefa763a2c608d664a0989eaa1]

vitomation01: #i109562 - Fix misuse of hInitSingleDoc() - The function creates a writer document but we need Calc.


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7a0507f13faa6457ceb27bc802be49db9d4b0096]

vitomation01: #i109562 - Fix missing closing quote


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1caed6f9aa350ee9d4028a8021fffd28ce427ed4]

vitomation01: #i109562 - Increased array size as a first ttempt to fix an array out of bounds error, the problem however is likely to be found elsewhere


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a5a66a385741de97d04af93306491d266cb78bd0]

vitomation01: #i109562 - Removed undeclared identifier brc and irc


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f6463acbd55b2a4c203a557cd2aaff312f376ed1]

vitomation01: #i109562 - Warnlog for incorrect messagebox when signing documents


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [008e3ed80e77052faa6253ab3b33d33f6d9bb629]

vitomation01: #i109562 - Fix typo (i really should work locally...)


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d66ba861b80d2c42bfc74ae802de8733c1e2cfae]

vitomation01: #i109562 - Fix broken functions, replaced fancy variable names i, A, BornToKill with speaking identifiers.


2010-05-10  Lars Langhans  <lla@openoffice.org>  [71c0d61ea392733c9f83def578d6bc171d0ab08e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [56d5f64886d70e140635dda68121ba694009c0f1]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [09d1ff2924861ac52fc2bd7faa61b3af0dd8910e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [5326da058ad8db24a893bde64f54f73e2ec32e77]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [1eac2c48790987e1536781cf4c9d9fcdb21d572e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [6c626c065c97a0b3608ec5329794a682807c9fa0]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [a088d7015f4b6123c05ad13068a9acdea47b2d50]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [d8679b5d417e7e5143e550365b737e74fc6012af]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [5a0c18bd40caaddd1a03b251024854996d5fa034]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [13876cd0a73fee599f86c096a02b0fa41b2f120e]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [d032ac5eaadfab699c41d93ce268f31a783cffae]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [497468862bc293b53c83354f64e608485a0cd493]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [5a2a96acb37a3d6a4b53faed06588280439a19d2]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [87b3e32c17c316b201191d70702b1d8e22704be6]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [7b3da63b425ff76267d19a3fb3488bd7e7a36960]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [960a8232b332c25250e4d4a4de561d919cd9d3c7]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [bdf54334f9f1b511ff964bb0e6cdaf3c058a6f5d]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [d06c3753862723e39d336673e884e5674fdb4ff3]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [937b406927c6c559b568386ff71943dbd69723ff]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [94f21d9e4167c256346c559cab890f9b87b4fc71]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [3e0b06f8e88c62305bd8bfab5fa0d495efae53de]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [280ac8a8ece4c01f1b6ee111f341293bdadf63f6]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [88070748e65012f25620d8400949fdbebac1e387]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [f87cd81bbaddc6fc3c569375b0697806c04db1bf]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [e501cb56c7331026aa02ab919c748f1735375eec]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [6ea3a7ef1fe70359769b35a7889d9d8b0cd1506c]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [82b898fa438d4f64b95f5d2fe812782d438e0dad]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [cdbefbde42a1555a0cc0427073bb31659456d23c]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [e55fa42d86dd20134cffc0f77864ab32e065656f]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [7545346cf45b52203c7621167f288963ee5d1005]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [e66f0974fe37e9fc8867aa7f9e445588236022a7]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [3e0dee6726d614dab5098bae46ba91c54607368f]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [4a20379568b1bd8868100dee5ab6a84c15e09880]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [fc9eba151a5ab78681ab8b53b8a49601c90dfc6b]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [70506070d74f15b020f979c04e6df044f432efd8]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [0d2d86ddc2f6923cae6ef5e7e620e909cc6f9e26]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [4689b77a1add51da0de970083114655185c3ae27]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Lars Langhans  <lla@openoffice.org>  [cf2d2ccfdfed599ee8301057b978c101af6c22d6]

gfxcmp02: #159601# add graphical compare test


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ea66018c4717732fed5cf445b51001b0373ce967]

sb122: #i110083 - QUASTe ID String added


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3d604d774341fac37e1cb2033c2bf5315ee6e744]

sb122: #i110083 - QUASTe ID String added


2010-05-10  Lars Langhans  <lla@openoffice.org>  [58682a21e336dffe2ab5a9299efaf4e58432982e]

gfxcmp02: #159601# cleanups


2010-05-10  Lars Langhans  <lla@openoffice.org>  [04affb285844c349b9c4ced97c9f6a2664c6780b]

gfxcmp02: #159601# cleanups


2010-05-10  Lars Langhans  <lla@openoffice.org>  [6f6547b41b41e090bc5c7353a0358467589d3eb4]

gfxcmp02: #159601# cleanups


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [936d9070d50bedbc88619cbba7a14c1b13fa63ae]

sb122: #i110083 - Added test case


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5acdf04125c3ef08a04e824f801f042a7eeb7bcf]

sb122: #i110083 - Added test case


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [64bdbfa883b0aa955ce5bb916d2ad8b2e25a1999]

sb122: #i110083 - Added test case


2010-05-10  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1e6f3215d9eeaff35d30913f60c5f9bce15937ae]

vitomation01: #i109562 - Reworked fInsertOLE() as the function had a number of shortcomings (No returnvalue in case of server timeout/object not found errors and others)


2010-05-06  Kohei Yoshida  <kyoshida@novell.com>  [8546a9d2056be479c132859dc5aa9834a7782a81]

Merged from the repo.


2010-05-05  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1063cf767f92c5b4f213a98c8027646ec859b192]

sb120: Merging in CWS automationdev300m76cat0 as it should remove a lot of annoying background noise


2010-05-04  Joerg Skottke [jsk]  <jsk@openoffice.org>  [21ccbe60b4931f18f9553e851b0feacab232a51b]

vitomation01: #i109562 - g_ole.inc has new issue with DEV300m77 when saving Impress documents, added WarnLog for issue 110938


2010-05-03  Oliver Craemer [oc]  <oc@openoffice.org>  [1d85034f399e2d46952c807e817c179172b8f1e5]

i111343 : [Automation] Adapt autotest because of new decimalfeature


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2f6d40a718917031cc7cde85bdc3cf00bb2a86d8]

vitomation01: #i109562 - hDeleteMacro() was too fast. Added a minute slowdown between keyboard actions


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [37885e5c8a07b033a377d7eafe49e7b420405672]

vitomation01: #i109562 - Remove no longer existing include


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c62aff8c979ec126e8042f6f2947f3371152f2eb]

vitomation01: #i109562 - Need to ucase cApplication as the all-caps rule does only apply to gApplication.


2010-05-03  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a047fe17aa3ea1260b3c7bf8cef1ecf9aa01e698]

vitomation01: #i109562 - Code compression and simplification


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [779f727f524cfa9c267c3f65838b5a2e93eda35c]

vitomation01: #i111282 - extended f_window_functions.bas to cover BASIC IDE, StartCenter and Database as well. Needed to get rid of fSplitWindowTitle (too complex and not flexible enough to do the job) and needed to build in some safeguard against hGetWindowCaption() which causes array out of bounds errors and modifies its function parameters. Removed QAErrorlog as the issue with the incorrect windowtitle of the StartCenter is never going to be fixed, printlog will do.


2010-04-30  npower Developer  <npower@openoffice.org>  [41fcf5585b5d4a5aded8df44af8214afb36785c2]

npower13_objectmodules: #i111245# merge heads


2010-04-30  Mihaela Kedikova  <misheto@openoffice.org>  [937743410ecf9feadeb50988da7022db296c95e2]

gridcontrol_03: bug fixes


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1da272c6add12927665ad5e1b6974c58ca61ea60]

vitomation01: #i111247 - Fixing glitches


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ad6c27acc349f28f7a7d8dcd7af023b7f312f897]

vitomation01: #i111247 - Add missing includes


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bcbc29cb907dd08c6082ff5a43367c3ff124bfd1]

vitomation01: #i111247 - Small fixes for stability


2010-04-30  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c9c2b394276c3e5b44f633371c7764f7bf7c98fa]

vitomation01: #i111247 - Fix f_basic_modules.bas, remove invalid qaerrorlogs etc.


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8894ff466b032dff05e129464b09a568b0414f40]

vitomation01: #i111247 - Missing quote


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2610b9fc1330f93606d2ae9741162eb9d21a9547]

vitomation01: #i111247 - Other method to select text in BASIC IDE


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5822c55c28a896469df5c18349f625a0c7db6caf]

vitomation01: #i111247 - Various small enhancements


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2fa2900180b4ab3dc8874dfdc37a05cc91091d5a]

vitomation01: #i111247 - Use hInsertMacroFromFile() instead of hInsertMacro().


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e5a6a199c5b4e76687c5a54b8843a0bb51a9084f]

vitomation01: #i111247 - More repairs


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [7af151f6af81733507bdeb59526f4101623d944e]

cws tl78: merge with DEV300 m77


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5be5a0fe7469dc3d7530feb64e1ad2de06cfc51d]

vitomation01: #i111247 - Repair broken test


2010-04-29  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [643f1a5264b5b8b617d9aef72c8e62f90cefd391]

Update from master repository (DEV300 masterfix).


2010-04-29  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [e46a98405eb26fc1f23a2325eddaf4590661a460]

Update from master repository (DEV300 masterfix).


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [86256bde31027fe58cd5b2b88af2374121f93a0e]

vitomation01: #i109562 - Fixed syntax error


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bd70f532c4f2d55deb9ef59ed6cb2055ca53e734]

vitomation01: Local branch merge


2010-04-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [8668c5988d3921fe48877eb3b4067abb3df268bd]

vitomation01: #i111247 - Attempt to rework and simplify hRenameTab(). This has been one of the very troublesome functions that ended up looking rather awkward and were not really understandable from a logical point of view. However, chances are small that the new implementation is really going to work...


2010-04-29  Oliver Craemer [oc]  <oc@openoffice.org>  [ea3691c708833eb7d8e23d32c8e2b61b039a394e]

i1111639 : [Automation]tFileSaveAsDBF in c_updt1.bas has timingproblems


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [875a1e6d44e341e8c7571383fbb9ee820fb92a39]

renaissance2: rebase m77


2010-04-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e7513ff877712f76bd764bce23eed6db889cbc9c]

vitomation01: #i108621 - Need to explicitly set gApplication before running tEditFields, the previous test sets it at the end and thus disables the setting from sub w_002_


2010-04-28  Oliver Craemer [oc]  <oc@openoffice.org>  [b54510a03da80d331e0d87f07f67d59b802ef904]

i1111639 : [Automation]tFileSaveAsDBF in c_updt1.bas has timingproblems


2010-04-28  sb  <sb@openoffice.org>  [c293d6d85f1f55d3af7b25eef9d2af07ddd1c81f]

sb120: do not swallow exceptions


2010-04-28  Joerg Skottke [jsk]  <jsk@openoffice.org>  [cdc7f8e23ee6e78b0cc54c81437731607633040f]

vitomation01: #i108621 - Removed sEditFields and restored the single test cases for Writer and HTML


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [584a8514207a06be38d40361048c535ca812dba3]

gridcontrol_03: merge with DEV300_m77


2010-04-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [49c684bc0f391a98ef5838b900cf9a3470588a7b]

#i111168# MacOS X: F11 -> MOD1 T


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [d72c659e2c59535a9e5f935e0daa70ebf9cb4735]

cws tl79: merge with DEV300_m77


2010-04-27  Thorsten Bosbach  <tbo@OpenOffice.org>  [bf27b013a2b138c99d9f9a67ccaa1d3abfda9fce]

#i111164# replace->replaceBTN


2010-04-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1afdbafda27c64aad974d9dc8bd08eedb0fb16d4]

vitomation01: Fix VERBOSE <> GVERBOSE typo introduced when going back to HDEs sMakeReadonlyDocumentEditable patch


2010-04-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0c1a27434c994ac9cb8c50c1eff204782a3411ec]

npower13_objectmodules: #i111175 - Adjust indexes for scripts belonging to modules, the latest changes caused an index out of bounds error.


2010-04-27  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3ba16367bec19ec3d1f3f3cf39dc930ab0a6eecb]

npower13_objectmodules: #i111175 - Blind fix for changed nodecount and -position as well as enhanced string matching.


2010-04-26  sb  <sb@openoffice.org>  [206b0e46fa6883e56b8f0f35903369b61c529a17]

sb120: #i111159# made XMessageBoxFactory test code more robust


2010-04-26  wg111939  <wg111939@sr1-eham02-02>  [364f18c0be07beba3151f42a85b58c30b52005e7]

i111162


2010-04-26  wg111939  <wg111939@sr1-eham02-02>  [2e58606313afdafafdaed1e545592ccae10c79a4]

i111149


2010-04-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e02061f86bea3bc50702bdea4ccd0f07dc5fead8]

vitomation01: #i109562 - Re-apply patch from CWS autmatindev300m76cat0 as all attempts to fix the sMakeReadonlyDocumentEditable() problem for good failed.


2010-04-26  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1057445d52d241d7e6c512a936f05d015a1efc33]

vitomation01: #i109562 - Re-apply patch from CWS autmatindev300m76cat0 as all attempts to fix the sMakeReadonlyDocumentEditable() problem for good failed.


2010-04-26  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [0ed73fd8ab19aa39df4d550f550960c0684f8c5d]

tl74#108360#readonly document should be made readable


2010-04-26  wg111939  <wg111939@sr1-eham02-02>  [fb3a65f8a024fcf915156c234fd33e5e434b25af]

i111149


2010-04-26  Helge Delfs [hde]  <hde@openoffice.org>  [f232fd53a372ba91d4bb0c4f30c2629373598010]

tl74#108360#readonly document should be made readable


2010-04-26  Lars Langhans  <lla@openoffice.org>  [35d3742fcf4bb740cb94497e05a4fd95c87b694b]

gfxcmp02:#resolve#


2010-04-25  Caolán McNamara  <cmc@openoffice.org>  [0dc4061050a5ed788e3055b14720b32289a365d5]

cmcfixes74: merge with DEV300_m77


2010-04-23  sb  <sb@openoffice.org>  [103b1fe7fa357ed40b765548b7ab26a1bb41a96c]

sb120: merged in DEV300 masterfixes


2010-04-23  sb  <sb@openoffice.org>  [f7789aaa8fa77fc69ce58e0e672d337996c1119d]

sb121: merged in DEV300 masterfixes


2010-04-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [e006133680b7dca510dd8d95193f05cf3c105dfa]

DEV300 masterfix: #i111084#: fix smoketest for setsolar based child workspaces


2010-04-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [77d9f9ea8a255a94f47e8ddd469fc205b2785ca6]

Update from master repository (DEV300m77).


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [02e4ef472891f22899263c755415c6608f0ee440]

vitomation01: #i109562 - Speedup


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d3eb7da322c0d5e3a4dd6184a0aa295757390703]

vitomation01: #i109696  - sub hTBOTypeInMathDoc removed as it was only a wrapper for another function.


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f39bfef75738f1a6120a47588bbfa6a7b8710218]

vitomation01: #i108621 - Removed two QAErrorLogs that stated that the tests are not suitable for Unix(like) OS. Changed those to be printlogs instead


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3df475c4863517c1da6345e34ebe29d46650e054]

vitomation01: #i108621 - Re-enabled two tests that were excluded (and marked with QAErrorLogs). The issue has been resolved for quite some time now. Inserted a single sleep( 2 ) statement as a dirty workaround for a toolbar which reacts slowly.


2010-04-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0367ed0c64b6045604b97728dbca9de9c9f5cffb]

vitomation01: Local merge with DEV300_m77


2010-04-22  sb  <sb@openoffice.org>  [6e0a61a054bfd563d65d54bee00ebe90650f5054]

sb121: merged in DEV300_m77


2010-04-21  sb  <sb@openoffice.org>  [94dcf866ad6874e4e8d98917a8480ffcd067e112]

sb120: -c bdd775934f7f dropped changes from my patch that -c 0f69f969e000 had already addressed more bluntly


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [9d8e9a471cebed0d6eeb45878909431021545c1a]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [36834e46ce19f0b4362c02911e30542f11389602]

sb120: merged in DEV300_m77


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [9230eb7683cccbb9fd31ec16cbee31af0dd89534]

vitomation01: #i108387 - Force checkin with DOS CR/LF line terminators


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ae7b5126f95a80250dd39ba03e4f604914e9dae1]

vitomation01: Experiment - introduce more dynamic delays for slower machines to sMakeReadOnlyDocumentEditable


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5e490245d839115da37d6e06c6c87a275e1d9b65]

vitomation01: #i108621 - re-enabled two tests that had unjustified qaerrorlogs


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bda4bf7e508cccb8e6a4d0cc453fcf2a7ceebe2e]

vitomation01: Experimental change to sMakeReadOnlyDocumentEditable(), added waitslot for slower machines


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b315e7358f9acef9665ceba88c62e32c45cfbd1e]

vitomation01: Experimental change to sMakeReadOnlyDocumentEditable()


2010-04-21  Ruediger Timm  <rt@openoffice.org>  [6372b74edb4a38f93de1fe826b8a2369ce1f0413]

DEV300 masterfix: #i10000#: Some fixes for the new smoketest: solenv/inc/installationtest.mk used wrong variables (UPDMINOR is not set on RE master builds, use LAST_MINOR from minor.mk instead), smoketestoo_native/makefile.mk needed adaptions to new install set naming scheme.


2010-04-21  Joerg Skottke [jsk]  <jsk@openoffice.org>  [52c8a7900a695ddef9d743c948a6f14511cc1b94]

vitomation01: Experiment - full rewrite of sMakeDocumentEditable()


2010-04-20  Helge Delfs [hde]  <hde@openoffice.org>  [7948bc8919994cce382b4a21a97eb60b93e808fa]

dict321#111011#issue id removed


2010-04-20  Helge Delfs [hde]  <hde@openoffice.org>  [587393b2b2190d895f9ca9d537c6f772a3645ab0]

dict321#111011#selecting of drawing object optimized


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [2622cd934fce8c3bee8e898b2a37a8a619b53991]

CWS-TOOLING: integrate CWS automationdev300m77cat0


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [ce11ea98787e9a442778d9a8e22aae6f0e589c8d]

CWS-TOOLING: integrate CWS automationdev300m76cat0


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [1798a2d97139645494d35c9203339cb8c04c699e]

vitomation01: #i111009 - Move tScripting to required tests as requested by HDE


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f9454c8212e4cb3f5d92e557e36e812c35422221]

vitomation01: #i109562 - simplified iniinfo.inc again by using byval parameter modifier instead of explicitly creating a copy of the parameter string in hStringReplaceChar()


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a941d57e46b11512aeb377d1e8b878862ca1b8c0]

vitomation01: Local merge with CWS automationdev300m76cat0 (which is currently nominated) - changes for slovenian language where not merged. Fixed.


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0889b4a557ed557fa8920eee11e97fa098590af4]

vitomation01: Local merge with CWS automationdev300m76cat0


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ebc4cd29f4c29e5ecc43906f06de14a9b32c8803]

vitomation01: #i108621 - moved tEditFields into sub sEditFields to allow tEditFields and tHTMLDocEditFields to use the same code as the only difference is the gApplication. Both test cases are needed because QUASTe is more than picky about removed test cases (simply refuses to update)


2010-04-20  Joerg Skottke [jsk]  <jsk@openoffice.org>  [adf4087b56eaa66564bca12690d9c4434210dfe4]

vitomation01: #i109562 - remove all traces of hGetListFileSize(), set the max size to 10000 which currently is by far more than enough.


2010-04-19  Kohei Yoshida  <kyoshida@novell.com>  [6d347a46ad999b5b906e0b1ed04adfd9dc9f8314]

koheiautodecimal: rebased to DEV300_m76.


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a289e3d7380623312e256f313cc119013cb7206d]

vitomation01: #i109562 - fix typo


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0b24e7acb73107d056defe6cb7b02f56763679a3]

vitomation01: #i109562 - Simplify basic_ide.inc, kill hClickToolbarButton() and map it to hClickButton()


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4cb101f0a9dd265b6debf94e8a3b0c351eafea3c]

vitomation01: #i109562 - Slot <SaveSourceTest> should rather be called <SaveSourceText>


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d4f6d063d3bdb10976530b3d78beb3831bb56c24]

vitomation01: #i109562 - Small enhancements, need checking on different machine.


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7cb77ab4b9d3019d531ef802cf59615f741c99f2]

vitomation01: #i109562 - Reworked method to check for Templates and Samples dialog, should now no longer fail on slower machines.


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [153b15855aff5e11cd50a3c7bf1ae02d5a403517]

vitomation01: #i109696 - Removed three functions from t_listfuncs.inc


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ce7ac3bc90306ddc49ed95ffa5407a5978cefa41]

vitomation01: #i109562 - t_macro_tools.inc - removed dependency to t_listfuncs.inc


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [6aff2a34339bcafc8ecced93d6673144f5dd51eb]

vitomation01: #i109562 - basic_usertemplate.inc - provided test case documentation (was missing after old style documentation removal)


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f0c9880db80565203d8454c38dd113a936236387]

vitomation01: #i109562 - basic_modulehide.inc - code compression


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [27f1dc31cd0750520088fcc9399b6ad11149a067]

vitomation01: #i109562 - basic_macros.inc - more refactor


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c6750f26c0a9b806f5919f03868a4d590ae4ea25]

vitomation01: #i109562 - basic_macros.inc - partial refactor


2010-04-19  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2b0397da3f192073afdd771fb96c9be17fc8305b]

vitomation01: #i109562 - tools_customize.inc was broken after partial refactoring.


2010-04-16  sb  <sb@openoffice.org>  [1b7f15c8410e28b69ba075043ad114259bd7dbd4]

sb120: #i110944# jpipe.dll wrapper around jpipx.dll


2010-04-16  Joerg Skottke [jsk]  <jsk@openoffice.org>  [fd0d531a9102a5af2afcffb5352100087d1212cc]

vitomation01: #i108622 - w_updt.bas:tZORest() - This is a bug tracked as issue #i56594 now assigned to development. The test has been modified to recover by using a single mouseclick to select the graphics object to prevent later issue to get masked.


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dc71e09544b59415483bff899cd2867443bda9e2]

dba33f: merge with m76-branch


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [5686df9c5ff5ffe8201db537b9299595b017698e]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [5b02df2c28fd88cf5a9394620dc686073e718856]

CWS-TOOLING: integrate CWS sb118


2010-04-15  sb  <sb@openoffice.org>  [5175a8288dd8248cd1d29598e9ba7f625c2135bc]

sb120: #i110925# do not check Locale for non-empty Country


2010-04-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7076b01685465839d9888bac25fb3a4aa2ce83ed]

vitomation01: #i109562 - Restructured test, code cleanup


2010-04-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bf6dbfb37834204e92e82ca0bc9337cafa64d336]

vitomation01: #i109562 - Restructured test


2010-04-15  Helge Delfs [hde]  <hde@openoffice.org>  [a4be8437d6a39c8d53a135fa5f4da323a62dc127]

automationdev330m76cat0#110900#re-eneabled previous workaround


2010-04-15  Helge Delfs [hde]  <hde@openoffice.org>  [b2171f223c2d6f9e40959f50a98f891a4b941013]

automationdev330m76cat0#110900#Workaround for flickering toolbar when loading a document->added do..loop


2010-04-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [82d55b118debf75fc99d123853a463de58fc8e48]

vitomation01: #i109562 - More stability fixes


2010-04-15  sb  <sb@openoffice.org>  [bb3fe8a547b68a1b6422550d45713e22679f08a0]

sb120: merged in backout from cws/sb118


2010-04-14  sb  <sb@openoffice.org>  [d1f1ce7aac8e355171736b70df63f2c1c146666c]

sb118: merged in backout


2010-04-14  Oliver Craemer [oc]  <oc@openoffice.org>  [b8078c81772c118bff4bcef974a96a59e1c776cf]

i110879 : [Automation] sMakeReadOnlyDocumentsEditable fails


2010-04-14  Helge Delfs [hde]  <hde@openoffice.org>  [05c4aefb13152685334fd2050a6aa1215dcee0ca]

vcl100#110741#adapted autotest for removed fonts button->control removed


2010-04-14  Helge Delfs [hde]  <hde@openoffice.org>  [95b1776784f10743f27be63e692975ff05902ae5]

vcl100#110741#adapted autotest for removed fonts button->testcase removed


2010-04-14  wg111939  <wg111939@sr1-eham02-02>  [42def01810c0a39a787e74f236ded4e0d755fed0]

i110864


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [ce3e794471cd9f28d915edb9998a3a4b0d593dc9]

cws tl74: merge with DEV300 m76


2010-04-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [a4711c2769c0b1e6115ef059afd3f67bcd65a377]

vitomation01: Regression fixing - Repair f_topten.bas


2010-04-14  Helge Delfs [hde]  <hde@openoffice.org>  [3d343863964a6324fd974a582fba7d0c77aec242]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  tb121644  <tb121644@sr1-eham02-04>  [564bd1af9360e04c175f00dc9bc0ffd85b322d4e]

#i110714# [Automation]result extract holds wrong product name


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [be0400fa580619d487670343a5abd055660bd4fb]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [b3aa95c5ee03dc984660fca79dff68e648faf22f]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [1ed3b8722ff435f28f3caa27baaa2657a67a6501]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [fd11fa359dfad59efdc99f80f861736d3318a758]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [b385d9dac9aa7201c17d49c9c3b2d2a4b27973a2]

automationdev300m76cat0#107893#added support for slovenian language


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [e8f2bc10dd3e66680b85cac567142fadffe9bba2]

automationdev300m76cat0#108057#fixed language detection for slovenian language


2010-04-13  tb121644  <tb121644@sr1-eham02-04>  [e935bb8b8939709480b71db37daf9c5f3fbb05c7]

#i109825# enable testautomation for gridcontrol


2010-04-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7156056fce61d01c771379c290f4604df152eb9d]

vitomation01: #i109562 - ConvertPath is a function! Fixed.


2010-04-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c1d0c0055bb9a402b0b08b12d74047f25b297047]

vitomation01: #i109562 - Protect function parameters, they should not be changed (ConvertPath behaves differently, though )


2010-04-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [2a8abf44f05f92428ccbc4595b9b4894d2a4d4ae]

vitomation01: #i109562 - ConvertPath was far too complex, cleaned up. Introduced unified functions to replace single characters or small substrings within a string, still need to remove countless clones


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [5380c58954932750dcbe05088144f9a2aceeb5a8]

automationdev300m76cat0#108549#added workaround to set focus of document


2010-04-13  Helge Delfs [hde]  <hde@openoffice.org>  [6115e24da8ee85d99cbe24759a403e54e64d8a73]

automationdev300m76cat0#108549#added workaround to set focus of document


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e369a13de5c10d1f328b8682bebc29973b107eb0]

slidecopy: merge


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [57d31e18edacfb56fe8c7c211f0fe51ca0f2ab3b]

CWS-TOOLING: integrate CWS dr74


2010-04-12  Jens-Heiner Rechtien  <hr@openoffice.org>  [704fadcc76ef244f943ab45fffbd31bcddbf766b]

CWS-TOOLING: integrate CWS automationdev300m75cat0


2010-04-12  Helge Delfs [hde]  <hde@openoffice.org>  [529ce32b77153d9bbf94249700af493bdac72f4f]

automationdev300m76cat0#110648#added workaround if tables in Autopilot need a long time to load


2010-04-12  Helge Delfs [hde]  <hde@openoffice.org>  [502bf70c628f19542c15c20e4d1fcdd81798464c]

automationdev300m76cat0#i110807#fixed undimensioned variable...cleanup


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [adab0f963e062152841965dc8b968e1c40568661]

vitomation01: #i109562 - Modifications to OLE tests, remove function DisableNavigator() as it was identical to hCloseNavigator() which again now is just a call to hCloseDialog...


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [f893c831376c71ca164758f6147ec9f1ba3ecca9]

impress188: rebase m76


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3b1a7d289a59f5756fdf9348266f45e18bb2e10d]

automationdev300m76cat0: #i110804 - Added missing version number to officeinfo.txt which is used for building the OLE application names


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [994c7e26f0cc6404b06f59d6fd6e03ae64b3ad8c]

vitomation01: #i109562 - local merge with DEV300_m76 which had conflicts with changes from native0


2010-04-12  Joerg Skottke [jsk]  <jsk@openoffice.org>  [ff00313b7f72259fe0fec066b24fb8901bb336a9]

vitomation01: #i109562 - Code cleanup, use parameters where possible


2010-04-09  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [8fc3f4544b748ee167ff2988e512f6b8910ddf3c]

Update from master repository (DEV300_m76).


2010-04-09  Oliver Craemer [oc]  <oc@openoffice.org>  [da8efacb817d4d8ba27e37f3d32359f5bb2a740a]

[automation] c_updt1.bas : tViewNavigator fail


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [8d0526647573aebe2d46b27e23621cf4c076cbd8]

cmcfixes74: merge with DEV300 m76


2010-04-08  npower Developer  <npower@openoffice.org>  [03391038bc61417930e4b9c1171b399b8de09f7e]

npower13_objectmodule: merge heads ( from merge to DEV300_m75 )


2010-04-07  sb  <sb@openoffice.org>  [2150b1aaf9d6137f926f47e373ae8bffbfda93fc]

sb120: merged in re/DEV300_next towards DEV300_m76 via cws/sb118


2010-04-07  sb  <sb@openoffice.org>  [90f3a63b2bbedef2762f4d3b1d46eedf008c7f9d]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-07  Helge Delfs [hde]  <hde@openoffice.org>  [0cb1a2ce7c75f64ef0db1064e9e2cc6b08fd0f09]

tl74#i107229#testautomation for thesaurus in right click context menu


2010-03-31  Oliver Craemer [oc]  <oc@openoffice.org>  [eb48c7cb29d9fad3cacb466f16603aebee7110ce]

#i108586# [Automation] Timingproblem in ch_lv1.bas


2010-03-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bc7aede456783adfa9a2234d98e828d27e08638d]

vitomation01: #i109562 - Add inport to .bas file, modified test case for even better readability, handled macros blocked message


2010-03-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [02d6311fcb5b3b955ae389dac793b0d53edfc5d0]

vitomation01: #i109562 - Rework and simplification


2010-03-25  Joerg Skottke [jsk]  <jsk@openoffice.org>  [186f8b023ebebc9247c40363c75270182aef9192]

vitomation01: #i109562 - The test document does not auto-execute the macro (as assumed during test development). Added macro execution and reordered dialog handling


2010-03-25  Oliver Craemer  <oc@openoffice.org>  [556282b9baa7ed4b500d6e3316639b408a48cd5f]

#i110311# [Automation] Timingproblems while selecting chartelements


2010-03-24  Oliver Craemer  <oc@openoffice.org>  [fea2b2120ab4f5cc69181c1571008b562f27a584]

#i110357# [Automation] adapt spreadsheettestscripts for new thesaurus


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [e352477836e79ac317362ee9a4b02f65bd111a7d]

cws tl78: merge with DEV300_m75


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b13ae9645509c1e106aa3190a89f5553bb35dc9d]

npower14miscfixes: Fixed incorrect closing mehod


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [ba2ce76a76541bbdc6c941669967b403a3faf4a3]

cws tl74: merge with DEV300_m75


2010-03-24  Oliver Craemer  <oc@openoffice.org>  [4b8e906fd457f35e77ec519f9f129c9adf180269]

#i110357# [Automation] adapt spreadsheettestscripts for new thesaurus


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [dd006a4d1d6a2b34c86eb95792b740fdca747b51]

npower14miscfixes: More includes added, fixed logic error


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b7e14bbc022c89e366778c27b63c29777d6518eb]

npower14miscfixes: Added missing quote


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [09a753aae2f72864decd047d0279edd1f81d0ee6]

npower14miscfixes: Added missing include


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [edc9ff9fb7ce684300055f57139d0459ca648f7d]

npower14miscfixes: #i109699 - Added test to f_basic_vba-compat.bas


2010-03-24  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3c78e48bbafd18736ec27f3b2b38479726c8dda1]

npower14miscfixes: #i106744 - Added sample macro to f_basic_issues.bas, called both with VBAsupport = 1 and without.


2010-03-24  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [483f53b4ea3009b552e428c6a42c2867dc31b24d]

cws tl74: #108359#


2010-03-23  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [7824c1d9ab3ebab8db0734ab0dfdedc6f593e3a8]

cws tl74: #108360#


2010-03-23  Marc Neumann [msc]  <Marc.Neumann@sun.com>  [8fc967d38b961d5f658c4c4506b893ebf9ef1af1]

cws tl74: #108360#


2010-03-23  Mihaela Kedikova  <misheto@openoffice.org>  [44fd52a65c9539a82c5fde9d81f71be508ba9bde]

gridcontrol_03: merge with DEV300_m75


2010-03-23  sb  <sb@openoffice.org>  [a8cd26bfa748f78fd7ca19abede5c97fa7ba0e58]

sb118: removed obsolete files


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [c3e30d6b5a194a6dadd9c6275db4d9fada531dd6]

vitomation01: #i109562 - Fix incorrect interpretation of returnvalue, added workaround for non-working EditSelectAll slot in BASIC IDE


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [794e4dec107665176b9a0675955e283ed81b72dc]

vitomation01: #i109562 - context error


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [f44ac4642c6e717f29bddd638ff696a718f049bb]

vitomation01: #i109562 - More cleanup


2010-03-23  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b8c63e1628b3f5c8740dfcfb4a27e7381fa9fa9f]

vitomation01: #i109562 - Provide missing includes, reworked hDeleteMacro()


2010-03-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [a3099670b4fbdb2537bffadca14ca9475f0e4912]

Update from local repository.


2010-03-22  Matthias Huetsch [mhu]  <matthias.huetsch@sun.com>  [cc81e22f787b87cf0eca0cbefe55b17212870a4b]

Update from master repository (DEV300_m75).


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [66aabbe9dbead19c689779f71b565b73bac45adc]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4f31cc36a83594adffa36b192c15109be626793d]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e2672338c2493a317b768b9dbc9748914a11ec54]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3613a3e749e5e9cc64969278ad44a2d3f370e4ee]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [5538e6adfba396ef618cf81677d4049b3a0308e5]

vitomation01: #i109562 - More cleanup


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [bda074e95c3298fa5b2699945c576f18330637d0]

vitomation01: #i109562 - Fix missing occurrences of deleted functions


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [877c4aad929c642e4af5647d4570d7652e620ad1]

vitomation01: #i109562 - get rid of hBasicModuleCreateNew() as it does basically the same as hCreateModuleForDoc(). Had to clean up hCreateModuleForDoc() as well for that


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [ceca065250f897e12651c1dec35db6f776a3ab0d]

npower14miscfixes: merge with DEV300_m75


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [e53adc3ff3cb21c9f6bdf91b374813a00703fa46]

vitomation01: #i109562 - remove printlog from hGetPathSigne, added printlogs to convertpath() to track usage


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [b42a50466114c0373865c674fa47f9e3901425f1]

vitomation01: #i109562 - My dirtiest - hard coded accelerators for tabswitching in BASIC IDE, these are not language dependent for all i know. Remove the accelerators from accelerators.txt


2010-03-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [452a45e40e44bb7f5d6acf1dfc755c274d1a6806]

vitomation01: #i109562 - My dirtiest - a few minor cleanups but the code could probably use a real facelift


